                              Pagina I
Indice
1. Generalit........................1
2. Descrizione Tecnica...............3
 2.1 Il modulo Braille ..............4
 2.2 I tastierini di controllo ......5
 2.3 La tastiera Braille ............6
 2.4 L'unit di interfaccia verso il
 PC .................................9
 2.5 L'unit di alimentazione ......10
 2.6 L'unit di controllo a
 microprocessore ...................11
3. Descrizione fisica...............13
 3.1 Disposizione dei componenti ...14
4. Installazione....................16
 4.1 Collegamento con il PC ........16
 4.2 Funzionamento a batteria ......17
 4.3 Ricarica della batteria .......18
 4.4 Installazione del software ....22
 4.5 Primi passi con MB408L ........25
5. Concetti generali................35
 5.1 La struttura video del PC .....35
 5.2 I parametri di installazione ..40
 5.3 La codifica dei tasti .........44
 5.4 Le segnalazioni acustiche .....46
 5.5 Il codice di revisione software47
 5.6 La codifica dei punti Braille .47
 5.7 I caratteri di controllo ......48
Pagina II
6. Le funzioni di MB408L............51
 6.1 Gli spostamenti di base .......53
 6.2 Altre funzioni di spostamento .55
 6.3 La modalit "Testo Compresso" .59
 6.4 La gestione del cursore .......60
 6.5 Le tabulazioni ................65
 6.6 I marker ......................68
 6.7 Le finestre ...................70
 6.8 La gestione degli attributi
 testo .............................75
 6.9 Altre funzioni di MB408L ......81
 6.10 La gestione del Soft-Cursor ..92
 6.11 Le funzioni non definite ....102
 6.12 La memorizzazione dei parametri
 6.13 Utilizzo del pulsante sui
 caratteri Braille ................103
  Che cos' il MOUSE ..............105
  L'uso del MOUSE nei programmi ...107
  I comandi per la simulazione mouse
  con MB408 .......................111
  Differenze con il Cursor Routing 116
 6.14 Simulazione Pagina Su, Pagina
 Gi ..............................124
                              Pagina 1

1. Generalit

Il terminale Braille MB408L  una ap-
parecchiatura elettronica gestita da
microprocessore con elevata capacit
di elaborazione, adatta, congiunta-
mente ad un Personal Computer IBM o
compatibile, ad essere impiegata da
persone non vedenti che desiderano de-
dicarsi all'utilizzo del PC per l'in-
serimento nel mondo del lavoro, per lo
studio o per uso personale.

MB408L pu essere utilizzato anche in
modo indipendente dal PC, in quanto
l'apparecchiatura  dotata di un si-
stema di gestione file, di una calco-
latrice scientifica e di un timer. Il
sistema di gestione file permette di
creare, modificare, archiviare e can-
cellare file, utilizzando 900 Kb di
memoria non volatile. Con un semplice
programma MSDOS fornito  possibile
trasferire i file da MB408L al PC e
viceversa.
Pagina 2

Il terminale dispone di un modulo
Braille con 40 caratteri di lettura
pi due di controllo; il carattere
singolo Braille  costituito da otto
punti con movimentazione mediante bar-
ra piezo-elettrica e un pulsantino di-
sposto sopra i caratteri.

La gestione del PC cui viene collegato
MB408L non viene alterata in alcun
modo dalla presenza del terminale
Braille, in quanto questo  dotato di
15 tasti multifunzione ben identifica-
bili che ne permettono la  gestione
completa.

Il terminale Braille MB408L non ri-
chiede interventi o schede aggiuntive
sul PC; l'interconnessione avviene at-
traverso un cavo collegato alla porta
seriale di tipo RS-232 normalmente
esistente sul PC.

Il software di configurazione e di ge-
stione di MB408L  residente su memo-
ria permanente ma riscrivibile. In tal
                              Pagina 3

modo l'aggiornamento del software pu
essere fatto direttamente dall'utente
finale, senza l'intervento di perso-
nale specializzato.

Il software fornito con MB408L permet-
te di lavorare solo con un sistema
operativo MS-DOS 3.0 o successivo.

2. Descrizione Tecnica

MB408L  stato studiato per avere la
massima "trasparenza" per quanto ri-
guarda i programmi utilizzati sul com-
puter; si  completamente evitato
l'uso della tastiera del PC per la ge-
stione del terminale Braille  e la co-
municazione tra i due  affidata ad un
programma residente nella memoria del
computer che funziona in "parallelo"
al programma dell'utente. Non  quindi
necessaria alcuna operazione di
"congelamento" momentaneo dello scher-
mo per la sua lettura da parte di
MB408L; tutto pu essere fatto contem-
poraneamente al normale funzionamento
Pagina 4

del programma utilizzato sul computer.

MB408L  funzionalmente diviso nelle
seguenti unit:

2.1 Il modulo Braille

Il Modulo Braille  composto da 40 ca-
ratteri pi 2 caratteri di controllo.
Il carattere Braille utilizzato  di
tipo piezo-elettrico ad 8 punti, con
caratteristiche di alta velocit di
risposta, consumo ridotto, alta af-
fidabilit e bassa manutenzione neces-
saria. L'utilizzo di 8 punti, rispetto
ai 6 tradizionali, permette la com-
posizione di tutti i 256 caratteri
presenti nello standard ASCII IBM ed
inoltre fornisce informazioni supple-
mentari come per esempio la posizione
del cursore video o l'indicazione de-
gli attributi colore del testo. I due
caratteri di controllo vengono utiliz-
zati per indicare le coordinate della
riga Braille rispetto allo schermo del
PC, le coordinate del cursore video
                              Pagina 5

oppure lo stato delle funzioni sele-
zionate attraverso i tasti. Sopra i
punti di ogni singolo carattere 
inoltre presente un pulsantino il cui
funzionamento verr descritto nei ca-
pitoli successivi.

2.2 I tastierini di controllo

Sul frontale dell'apparecchiatura sono
presenti 3 tastiere disposte oriz-
zontalmente composte da gruppi di 5
tasti ciascuna. Complessivamente sono
disponibili 10 tasti funzione (F1-F5
nel primo gruppo e F6-F10 nel secondo,
quest'ultimo identificato per comodit
come F0). Procedendo da sinistra verso
destra, la numerazione dei tasti ini-
zia da F5 (il primo tasto del gruppo
di sinistra) fino ad F1, e da F6 (il
primo tasto del gruppo di destra) a
F0. Nel gruppo centrale sono presenti
4 tasti freccia (sinistra, alto, basso
e destra) ed un tasto di shift centra-
le di dimensioni pi grandi. Per au-
mentare il numero di funzioni selezio-
Pagina 6

nabili da questi 15 tasti, si  asso-
ciata a ciascuno di essi la possibili-
t di effettuare 4 selezioni come se-
gue:

1)tasto premuto da solo
2)tasto premuto insieme al tasto shift
3)come 1) ma premuto per almeno 2 sec.
4)come 2) ma premuto per almeno 2 sec.

In tal modo sono possibili 56 diffe-
renti selezioni.

2.3 La tastiera Braille

Nella parte superiore
dell'apparecchiatura  posizionata una
tastiera Braille ad 8 tasti pi lo
spazio. Questa tastiera  utilizzata
per poter modificare o scrivere un te-
sto, inserire dati nei campi richiesti
oppure per battere dei tasti di con-
trollo (per esempio ENTER, ESC, CANC,
ecc...) utilizzati dal programma di
gestione. La combinazione degli otto
tasti pi lo spazio permette di pro-
                              Pagina 7

durre tutti i 256 caratteri ASCII; per
battere i tasti di controllo bisogna
premere (e tenere premuto) il tasto
spazio in combina-zione con gli altri
otto tasti. Il tasto spazio  il tasto
centrale pi in basso della tastiera
ed  disposto orizzontalmente.

Per esempio, il tasto ENTER (INVIO) 
rappresentato dalla combinazione
SPAZIO + TASTO 4 + TASTO 6. La tastie-
ra Braille pu essere utilizzata anche
per simulare la tastiera del PC, quan-
do si utilizza il programma fornito
per ambiente MS-DOS. Consultare il fi-
le "TASTI.TXT" fornito per la lista
completa delle combinazioni. Natural-
mente non pu essere assicurato il
corretto comportamento della funzione
di simulazione, in quanto dipendente
dal tipo di applicativo utilizzato. Un
esempio evidente  il programma "Edit"
fornito nel DOS di Windows 95, che non
funziona correttamente; anzi, in que-
sto caso, dopo aver inserito un carat-
tere dalla tastiera Braille, viene
Pagina 8

inibito da parte del programma l'uso
della tastiera del PC e quindi non 
pi possibile uscire dal programma
stesso. Con le versioni precedentemen-
te fornite del programma "Edit" (fino
alla versione 6.22 di MSDOS) questa
anomalia non  presente. Con la mag-
gior parte dei programmi applicativi,
la funzione di simulazione si comporta
comunque correttamente.

Nel funzionamento della tastiera
Braille  prevista una modalit ad una
mano sola. Per attivare questa modali-
t bisogna premere e rilasciare il ta-
sto SPAZIO nei primi 5 secondi
all'accensione del terminale, oppure
premere il tasto SPAZIO in combinazio-
ne con tutti gli altri otto tasti. In
questa modalit, per inserire i carat-
teri bisogna impostare la combinazione
di tasti desiderata premendo anche un
solo tasto alla volta, e quindi con-
fermare la combinazione con il tasto
SPAZIO. Per inserire un carattere spa-
zio bisogna premere il tasto SPAZIO
                              Pagina 9

due volte.

Per inserire un tasto di controllo,
premere prima il tasto SPAZIO, quindi
la combinazione di punti relativa, ed
infine ancora il tasto SPAZIO per con-
fermare.

Per uscire dalla modalit ad una mano
sola e ritornare al funzionamento nor-
male della tastiera Braille, battere
SPAZIO, tutti gli 8 tasti e quindi an-
cora SPAZIO per confermare. In alter-
nativa, basta anche spegnere e riac-
cendere il terminale.

2.4 L'unit di interfaccia verso il PC

Si tratta di una interfaccia di tipo
seriale RS-232. Questo tipo di inter-
faccia  di basso costo e praticamente
sempre presente sui computer, in quan-
to utilizzata anche per il collegamen-
to di mouse, modem o altri dispositi-
vi. Anche il cavo di collegamento (in
dotazione) tra MB408L e PC  di tipo
Pagina 10

standard. Nel terminale  presente an-
che una seconda interfaccia seriale,
prevista per il collegamento ad altre
unit periferiche, quali sintesi voca-
li o stampanti Braille. Attualmente
questa porta seriale viene utilizzata
solo per il collegamento di una unit
a dischetti esterna.

2.5 L'unit di alimentazione

Provvede a generare tutte le tensioni
necessarie alle altre unit. Sono pre-
visti opportuni circuiti di protezione
contro le sovratensioni e per la limi-
tazione della corrente. L'ingresso
dell'alimentatore  in corrente alter-
nata a 110-220 Volt +/- 10%, 50/60 Hz.
Il consumo complessivo  di circa 4W
in funzionamento normale e circa 20W
in fase di ricarica della batteria in-
terna.
                             Pagina 11

2.6 L'unit di controllo a micropro-
cessore

MB408L si pu definire un terminale di
tipo "intelligente", in quanto con-
trollato da un microprocessore che ge-
stisce le varie unit e la comu-
nicazione con il PC. In tal modo si
alleggerisce al massimo il carico di
lavoro del software residente in memo-
ria sul PC e di conseguenza si mini-
mizza la riduzione della potenza di
elaborazione del PC; in effetti si pu
considerare questa riduzione contenuta
in qualche unit percentuale.

Per quanto riguarda il software pre-
sente all'interno di MB408L, lo si pu
considerare diviso in due sezioni. La
prima sezione si occupa del controllo
delle varie unit descritte preceden-
temente e risiede su una memoria di
tipo permanente e non riscrivibile
(EPROM da 128Kb). Data la stretta re-
lazione con tutto l'hardware di
MB408L, difficilmente questo software
Pagina 12

verr modificato in futuro (se non per
effettive modifiche anche all'hardwa-
re).

La seconda sezione si occupa di rea-
lizzare le varie funzioni messe a di-
sposizioni da MB408L e risiede su una
memoria di tipo permanente ma riscri-
vibile (FLASH da 128Kb) . Questa solu-
zione permette di modificare il soft-
ware, e quindi di aumentare e miglio-
rare le funzioni di MB408L, senza do-
ver intervenire a livello hardware con
la sostituzione di chip di memoria. In
tal modo l'aggiornamento del software
pu essere fatto direttamente dal-
l'utente finale senza l'intervento di
personale specializzato. I parametri
di configurazione del terminale che
l'utente pu modificare (e che non de-
vono andare perduti allo spegnimento
della macchina) sono posti in una me-
moria di tipo permanente e riscrivibi-
le (EEPROM da 512 byte).

Attraverso un opportuno programma di
                             Pagina 13

comunicazione (MBCOM.EXE, descritto
pi avanti), sul PC  possibile in
breve tempo trasmettere a MB408L un
file contenente il nuovo software o i
parametri di configurazione e, vice-
versa, ricevere il software e i para-
metri attualmente caricati sul termi-
nale per poi salvarli in file su di-
sco.

Il software del programma residente in
memoria sul PC  stato scritto tenendo
presente esigenze di efficienza del
codice e consumo limitato di memoria
(circa 33 Kb allo stato attuale).
L'eventuale aggiornamento di questo
software ovviamente non comporta alcun
problema, in quanto viene fornito su
dischetto; comunque  in generale mol-
to probabile che contemporaneamente
venga richiesto anche un aggiornamento
del software inserito in MB408L.

3. Descrizione fisica

L'apparecchiatura  realizzata in un
Pagina 14

contenitore termoplastico. Le sue di-
mensioni massime sono: larghezza 320
mm., profondit 285 mm., altezza 47
mm. Il peso   di 2.1 Kg.

Il terminale viene corredato dai se-
guenti accessori:

- Cavo di alimentazione da rete.
- Cavo di interfaccia seriale con il
PC.
- Dischetto da 3"1/2 con software
di gestione.
- Manuale dell'utente.
- Borsa per il trasporto.

3.1 Disposizione dei componenti

A) Tastiera frontale orizzontale a 15
tasti, suddivisa in 3 gruppi. 5 tasti
funzione da F5 a F1 da sinistra verso
destra per il primo gruppo, 5 tasti
identificati da sinistra verso destra
come: freccia verso sinistra, freccia
verso l'alto, shift, freccia verso il
basso, freccia verso destra per il se-
                             Pagina 15

condo gruppo e 5 tasti funzione da F6
a F10 da sinistra verso destra per il
terzo gruppo.

B) Modulo di lettura Braille posto
sulla parte anteriore del contenitore.

C) Nella parte posteriore del conteni-
tore sono presenti tutti i connettori
per l'utilizzo dell'apparecchiatura e
pi precisamente da sinistra verso de-
stra abbiamo: spina VDE per
l'alimentazione, interruttore di ac-
censione, presa DIN 5 poli per il col-
legamento di una tastiera esterna,
porta seriale per il collegamento al
PC e porta seriale ausiliaria per il
collegamento di dispositivi esterni.
Tutti i connettori sono identificati
con una scritta in Braille sulla parte
superiore dell'apparecchiatura.

D) Nella parte superiore
dell'apparecchiatura  presente una
tastiera Braille a 8 tasti pi il ta-
sto SPAZIO.
Pagina 16

La tastiera esterna pu essere usata
in alternativa o contemporaneamente
alla tastiera Braille.

4. Installazione

4.1 Collegamento con il PC

Prima di procedere alla connessione
dei cavi, assicurarsi che il PC sia
spento. Quindi collegare un'estremit
del cavo di interfaccia in dotazione
al connettore della porta seriale sul
PC. Avvitare le due viti di fissaggio
sul connettore. Notare che il cavo di
interfaccia  fornito di due connetto-
ri di tipo differente (DB9 maschio e
femmina) e quindi le due estremit non
possono essere scambiate.

Collegare l'altra estremit del cavo
al connettore posteriore di sinistra
(quello pi all'interno marcato in
Braille con "PC") di MB408L e fissare
il cavo.
                             Pagina 17

Collegare il cavo di alimentazione al-
la presa VDE sul fianco sinistro ed
inserire l'altra estremit in una pre-
sa di corrente a 220 V.

4.2 Funzionamento a batteria

Il terminale Braille MB408L  fornito
di batterie interne e pu quindi fun-
zionare anche senza alimentazione
esterna. Con le batterie completamente
cariche MB408L ha un' autonomia di
circa 18-20 ore. La segnalazione di
batteria scarica avviene tramite un
segnale acustico intermittente e la
scritta "Batteria scarica" sulla riga
Braille (per cancellare il messaggio
premere il tasto F0). Per proseguire
il lavoro bisogna collegare l'apparec-
chiatura alla rete; in caso contrario
MB408L continuer ad avvisare dello
stato di batteria scarica per alcuni
minuti, quindi eseguir un "reset"
della macchina, riportandosi nello
stato iniziale dopo l'accensione. Dopo
un lungo periodo di inattivit del
Pagina 18

terminale, la capacit della batteria
potrebbe essere inferiore al normale,
ma dopo alcuni cicli di ricarica que-
sta dovrebbe riprendere la capacit
nominale.

4.3 Ricarica della batteria

Per effettuare la ricarica della bat-
teria basta collegare il terminale al-
la presa di rete. La batteria interna
 del tipo NiMH. Per visualizzare lo
stato dell'alimentazione  possibile
procedere in due modi (vedi anche ol-
tre nella descrizione delle funzioni):

- Entrare nelle funzioni del BIOS bat-
tendo il tasto F1 all'accensione,
quindi premere il tasto F8.

- Entrare nelle funzioni interne del
terminale battendo il tasto F0, quindi
premere il tasto F6.

Possono venire visualizzati 3 messag-
gi :
                             Pagina 19

A)"Batteria in carica" :il terminale
sta eseguendo un ciclo di carica della
batteria.
B)"Batteria in mantenimento":il termi-
nale ha completato un ciclo di carica.
C)"Batteria in uso": il terminale sta
funzionando a batteria.

Premere il tasto F0 per uscire dalla
funzione.

Un ciclo di ricarica pu durare circa
3 ore ma pu variare in funzione della
carica residua della batteria. Durante
il ciclo di ricarica si pu avvertire
un aumento della temperatura dell'ap-
parecchiatura, da ritenersi normale.

All'interno del terminale  presente
anche una funzione che tiene conto del
tempo di uso della batteria, per poter
determinare in modo indiretto lo stato
di carica della stessa. Per attivare
questa funzione premere il tasto
Shift-F1 all'interno del BIOS oppure
Shift-F6 nel men delle funzioni in-
Pagina 20

terne (vedi anche oltre la descrizione
delle funzioni).

Vengono visualizzati 3 contatori che
riportano un tempo in ore e minuti. Il
primo contatore "Ton" visualizza il
tempo trascorso con i caratteri Brail-
le attivi. Il secondo contatore "Toff"
visualizza il tempo trascorso con i
caratteri disattivi, cio in stand-by.
L'ultimo contatore "Tvir" (tempo vir-
tuale) visualizza la somma di "Ton"
pi la met di "Toff". Il tempo vir-
tuale tiene conto del diverso consumo
di corrente da parte del terminale
quando i caratteri Braille sono attivi
e disattivi. In pratica "Tvir"  un
tempo proporzionale alla corrente con-
sumata dalla batteria.

Se azzeriamo i contatori dopo aver ri-
caricato la batteria e controlliamo
"Tvir" quando questa si  scaricata,
troveremo sempre un tempo circa ugua-
le, attorno alle 20 ore per una batte-
ria pienamente funzionante. In questo
                             Pagina 21

modo  possibile determinare (in modo
approssimativo) l'autonomia residua
della batteria; per esempio, quando
"Tvir"  a 12 ore, rimangono circa 8
ore di autonomia.

Come per tutte le apparecchiature a
batteria, per una pi lunga durata nel
tempo della batteria stessa  bene,
per quanto possibile, utilizzare
MB408L alimentato a batteria e non
sempre direttamente collegato alla re-
te elettrica. Infatti, con il termina-
le Braille collegato alla rete, la
batteria viene costantemente caricata
con una piccola corrente di manteni-
mento; inoltre il terminale viene ali-
mentato dalla rete e quindi la batte-
ria non ha modo di scaricarsi. A lungo
andare questa situazione riduce le
prestazioni della batteria. In sostan-
za, per utilizzare al meglio una bat-
teria,  importante che questa sia
sottoposta nel tempo a cicli di carica
e di scarica.
Pagina 22

4.4 Installazione del software

Il software viene fornito su dischetto
da 3" 1/2. Se il PC  fornito di hard
disk,  consigliabile copiare il soft-
ware all'interno di una sub-directory
opportunamente creata sull'hard disk.
Dal prompt del DOS immettere quindi i
seguenti comandi :

C> md \MB408L
C> cd \MB408L

Si  ovviamente supposto, in questo
esempio, che la lettera di identifica-
zione per l'hard disk sia C:.

Inserire nel drive del PC il dischetto
fornito e quindi copiare tutti i file
nella directory appena creata. Suppo-
nendo che il drive in cui  inserito
il dischetto sia A:, il comando DOS
sar:

C> copy a:*.*
                             Pagina 23

I file forniti con MB408L sono i se-
guenti:

MB408L.EXE: programma residente in me-
moria per la gestione dell'inter-
faccia Braille, versione italiana.

MB408L_E.EXE: versione inglese del
programma precedente.

MBCOM.EXE: programma di utility e di
comunicazione tra PC e MB408L, versio-
ne italiana.

MBCOM_E.EXE: versione inglese del pro-
gramma precedente.

L_COD_IT.nnn: file contenente il codi-
ce caricato nella memoria interna di
MB408L versione italiana. Il numero
"nnn" rappresenta la revisione del co-
dice correntemente fornita.

L_COD_EN.nnn: file contenente il codi-
ce caricato nella memoria interna di
MB408L versione inglese. Il numero
Pagina 24

"nnn" rappresenta la revisione del co-
dice correntemente fornita.

STANDARD.PAR: file contenente i para-
metri standard di configurazione di
MB408L.

MB408LIT.MAN: file di testo contenente
questo manuale.

FUN1IT.REF: lista delle funzione di
MB408L in ordine di tasto, versione
italiana.

FUN2IT.REF: lista delle funzioni di
MB408L raggruppate per tipo, versione
italiana.

LEGGIMI.DOC: file contenente eventuali
informazioni e note non presenti nel
manuale.

FTRAN.EXE: programma per il trasferi-
mento di file nella memoria di MB408L,
versione italiana.
                             Pagina 25

FTRAN_E.EXE: programma per il trasfe-
rimento di file nella memoria di
MB408L, versione inglese.

TASTI.TXT: lista delle combinazioni
dei tasti di controllo della tastiera
Braille.

4.5 Primi passi con MB408L

Dopo aver eseguito i due passi prece-
denti, siamo ora pronti per accendere
MB408L. Dopo aver premuto l'interrut-
tore di accensione, sulla riga Braille
deve apparire il messaggio "MB408L
BIOS vn.nn", dove "n.nn" rappresenta
la revisione corrente del bios. In ca-
so contrario riferirsi all'appendice 3
del manuale. Dopo alcuni secondi appa-
rir il messaggio "verifica display"
e, se tutto funziona correttamente, la
scritta "OK"; quindi verr lanciato il
programma di gestione.

Sulla riga Braille appare la versione
del programma di gestione e il numero
Pagina 26

del protocollo di comunicazione sele-
zionato. Il programma residente da in-
stallare su PC funziona con il proto-
collo numero "1", che  anche il pro-
tocollo di comunicazione standard ver-
so il PC.

Prima di procedere all'utilizzo del
terminale MB408L, bisogna caricare sul
PC il programma residente per la ge-
stione dell'interfaccia Braille. Dal
prompt del DOS battiamo il seguente
comando:

C> MB408L

Nel caso in cui sul PC siano presenti
pi porte seriali, il programma uti-
lizzer automaticamente la prima indi-
viduata. Per esempio, nel caso di due
porte seriali, verr utilizzata COM1.

Se si desidera indicare al programma
quale porta seriale utilizzare,  ne-
cessario specificare sulla linea co-
mandi il parametro "/n" dove n  il
                             Pagina 27

numero della porta desiderata.

Per utilizzare COM2 su un PC con due
porte seriali dovremo quindi battere
il comando:

C> MB408L /2

Si tenga presente che il parametro pu
essere specificato solo al momento del
caricamento del programma. Per modifi-
care l'indicazione della porta seriale
utilizzata  quindi necessario scari-
care il programma nel caso questo fos-
se gi stato installato nella memoria
del PC. Battere a tal scopo il coman-
do:

C> MB408L /q

Una volta installato il programma di
interfaccia Braille, il collegamento
viene attivato automaticamente. Se do-
po qualche secondo non appare nulla
sul terminale, molto probabilmente 
stata specificata una porta seriale
Pagina 28

non corretta. Procedere quindi a sca-
ricare il programma e installarlo di
nuovo specificando la porta seriale
corretta, utilizzando i comandi de-
scritti in precedenza.

E' opportuno a questo punto fare una
nota che ha validit generale nel cor-
so di questa trattazione: con la frase
"battere un tasto" si intende la pres-
sione di un tasto il cui rilascio deve
avvenire in un tempo sufficientemente
breve, non superiore a circa un secon-
do. In generale la pressione di un ta-
sto per un tempo pi lungo, almeno due
secondi, modifica la funzione asso-
ciata al tasto battuto. Si noti infine
che l'esecuzione della funzione avvie-
ne al momento del rilascio del tasto e
non alla sua pressione.

Il terminale Braille a questo punto 
in comunicazione con il PC ed  in
grado di leggere una parte dello
schermo; questo  organizzato in 25
righe di 80 caratteri ciascuna e tale
                             Pagina 29

spazio viene letto da MB408L in por-
zioni di 40 caratteri consecutivi.

E' probabile che il terminale si posi-
zioni su un'area vuota del video e che
quindi la riga Braille non riporti al-
cun carattere, se non i due all'estre-
ma sinistra. Questi sono i due carat-
teri di controllo il cui uso verr
spiegato pi avanti nel manuale; per
il momento li possiamo ignorare.

Possiamo spostare la finestra di let-
tura di MB408L utilizzando i 4 tasti
freccia del tastierino frontale cen-
trale. Con i tasti "freccia in alto" e
"freccia in basso" ci spostiamo ri-
spettivamente in alto e in basso di
una riga rispetto alla posizione cor-
rente della finestra. Per spostarci
orizzontalmente utilizziamo invece i
tasti "freccia a destra" e "freccia a
sinistra"; ogni spostamento  di 40
caratteri sullo schermo.

Se la finestra di lettura  posiziona-
Pagina 30

ta in fondo ad una riga, con uno spo-
stamento verso destra si passer alla
lettura dei primi caratteri della riga
successiva. Analogamente, se la fine-
stra di lettura  posizionata all'ini-
zio di una riga, con uno spostamento
verso sinistra si passer alla lettura
degli ultimi caratteri della riga pre-
cedente.

MB408L risponde con un breve "beep"
alla pressione di ogni tasto per con-
fermare l'acquisizione della funzione.
Nel caso in cui la funzione richiesta
non possa essere eseguita, il termina-
le risponde con una segnalazione acu-
stica di errore, composta da una se-
quenza di 3 "beep" in rapida succes-
sione. Si provi ad esempio a spostarsi
ripetutamente verso l'alto, fino a
raggiungere la prima riga dello scher-
mo. Battendo "freccia in alto" MB408L
risponde con la segnalazione di erro-
re.

I 4 tasti freccia sono dotati di
                             Pagina 31

"auto-ripetizione", cio la loro fun-
zione viene ripetuta se il tasto viene
tenuto premuto per pi di un secondo.
Ci permette di velocizzare gli spo-
stamenti attraverso lo schermo. Si no-
ti che comunque gli altri 10 tasti
funzione F1-F10 non sono dotati di
questa caratteristica; piuttosto, la
loro pressione per un tempo superiore
a circa 2 secondi ne cambia la funzio-
ne associata.

Una coppia di funzioni utili per age-
volare ulteriormente lo spostamento
sul video  composta dai tasti "F1" e
"F2". Con queste funzioni si sposta la
finestra di lettura rispettivamente
all'inizio della prima riga e all'ini-
zio dell'ultima riga dello schermo.

E' possibile fare in modo che MB408L
insegua automaticamente gli spostamen-
ti del cursore video presente sullo
schermo. A tale scopo battere il tasto
"F5": sulla riga appare il prompt del
DOS "C>". Se ci non succede, battere
Pagina 32

nuovamente il tasto "F5". Si noter
che, subito dopo il prompt, sulla riga
 presente un carattere "pieno", cio
con tutti gli 8 punti alzati. Questo
carattere indica la posizione del cur-
sore video.

Proviamo ora a battere alcuni caratte-
ri sulla tastiera del PC: essi verran-
no immediatamente riportati sulla riga
Braille, mentre il cursore video si
sposta verso destra. Se battiamo abba-
stanza caratteri, il cursore tender
ad uscire dalla riga Braille; MB408L
sposter allora la finestra di lettura
in modo da inseguire la posizione del
cursore.

Si noter che alcune lettere hanno il
punto in basso a sinistra attivato,
per esempio si verifichi la lettera
"C" nel prompt del DOS. Questo punto
indica che la lettera  in maiuscolo;
questo  uno dei vantaggi della codi-
fica Braille a 8 punti. Comunque,
l'utente abituato alla codifica tradi-
                             Pagina 33

zionale a 6 punti potrebbe rimanere
inizialmente confuso per la presenza
di questi due punti aggiuntivi. E'
stata quindi prevista una funzione che
li rende non operativi: tenere premuto
uno dei tasti "shift" e battere il ta-
sto "F9". Utilizzando di nuovo lo
stesso comando si ritorna alla codifi-
ca completa a 8 punti.

Cancelliamo ora tutti i carattere bat-
tuti utilizzando il tasto di cancella-
zione posto di solito sopra al tasto
"Invio" della tastiera del PC. Battia-
mo il comando DOS "dir" per visualiz-
zare la lista dei file presenti nella
directory attualmente selezionata.
Quindi esploriamo lo schermo per leg-
gere questa lista. Partendo dall'ini-
zio di una riga leggeremo nell'ordine
il nome del file, la sua dimensione,
la data e l'ora della sua creazione.

Battendo ora "freccia a destra", non
leggeremo pi nulla: infatti la parte
di destra dello schermo  in questo
Pagina 34

momento vuota. Insistendo nello spo-
stamento verso destra, leggeremo ad un
certo punto il nome di un nuovo file;
saremo infatti passati all'inizio del-
la riga successiva.

MB408L prevede una modalit di lettura
chiamata "testo compresso" che permet-
te di saltare automaticamente le por-
zioni di schermo vuote. Questa modali-
t viene attivata battendo il tasto
"F6". Se ora ripetiamo la procedura di
lettura appena descritta, si noter
che, finita la lettura di un file,
inizia subito quella del file succes-
sivo, senza la presenza di zone vuote.
Per disattivare la modalit "testo
compresso", battere di nuovo "F6".

Se ora battiamo un nuovo comando sulla
tastiera del PC, la riga Braille si
riporter automaticamente sulla posi-
zione del cursore video.
                             Pagina 35

5. Concetti generali

Nel capitolo successivo passeremo al-
l'analisi completa e dettagliata di
tutte le funzioni attualmente disponi-
bile in MB408L. Prima  per necessa-
rio descrivere alcuni concetti genera-
li utili per una migliore comprensione
delle funzioni e del comportamento del
terminale Braille.

5.1 La struttura video del PC

Lo schermo del PC in modo testo  or-
ganizzato come un insieme di caratteri
di 40 colonne per 25 righe oppure di
80 colonne per 25 righe; quest'ultimo
modo  di gran lunga il pi utilizzato
dai programmi applicativi. Questi due
modi testo sono standard e quindi pre-
senti nella maggior parte delle schede
video disponibili per il PC.

Tutte le schede video prevedono anche
varie modalit grafiche in cui lo
schermo viene diviso in un certo nume-
Pagina 36

ro di punti (per esempio 640 per 480
punti nella scheda VGA); questi modi
grafici non possono essere gestiti da
MB408L in quanto nella memoria del PC
non viene tenuta traccia degli even-
tuali caratteri scritti sullo schermo,
ma solo dei punti attivati o disatti-
vati.

Tornando ai modi testo standard, biso-
gna notare che ad ogni carattere viene
associato un attributo che specifica
il colore del carattere, il colore del
suo sfondo e il fatto che il carattere
lampeggi o meno.

Su alcune schede monocromatiche, per
esempio la scheda Hercules, l'attribu-
to non riporta ovviamente informazioni
sul colore, in quanto sono disponibili
solo il bianco e il nero; piuttosto
l'attributo viene utilizzato per indi-
care se il carattere  in Hi-light
(cio in alta luminosit) oppure sot-
tolineato.
                             Pagina 37

Su alcune schede a colori viene sacri-
ficata la possibilit di avere carat-
teri lampeggianti a favore di un mag-
gior numero di colori.

I modi testo prevedono anche la ge-
stione di pi pagine, in genere 4 op-
pure 8, in funzione del tipo di scheda
video. A ciascuna pagina  associato
un cursore video che viene rappresen-
tato da un trattino lampeggiante la
cui forma pu essere modificata dai
programmi, fino a essere reso invisi-
bile sullo schermo. La maggior parte
dei programmi si limita ad utilizzare
solo la prima delle pagine video di-
sponibili, chiamata pagina 0.

Una differenza essenziale tra schede a
colori e schede monocromatiche, a par-
te quella ovvia di potere o meno rap-
presentare caratteri colorati,  lega-
ta alla differente porzione di memoria
del PC utilizzata come "memoria vi-
deo", in cui vengono scritti tutti i
caratteri attualmente presenti sul vi-
Pagina 38

deo con i relativi attributi. E' evi-
dente che il terminale Braille deve
sapere dove risiede la "memoria video"
per potere leggere correttamente ci
che appare sullo schermo.

In generale, un qualsiasi programma
applicativo pu ottenere tutte le in-
formazioni necessarie relative al si-
stema video del PC interrogando il
BIOS. Questo  un programma residente
in tutti i PC che provvede alla ge-
stione di base delle unit periferiche
standard. Anche MB408L ricorre al BIOS
per ottenere le informazioni ne-
cessarie. In alcuni casi, per la veri-
t molto rari, pu accadere che un
programma applicativo attivo sul PC
falsi alcune delle informazioni ripor-
tate attraverso l'interrogazione del
BIOS.

Il programma residente di interfaccia
Braille MB408L.EXE  in grado di indi-
viduare automaticamente il tipo di
scheda video presente (colore oppure
                             Pagina 39

monocromatica), il modo testo attivo
(40x25 oppure 80x25), il numero della
pagina video selezionata, la posizione
e la forma del cursore video.

Viene anche riconosciuto automatica-
mente se  attiva una modalit grafica
e in tal caso il terminale si limita
ad indicare "Modo grafico attivo" per
impedire la scrittura di caratteri
senza senso. La riga Braille torna at-
tiva non appena viene riconosciuto un
modo testo.

Alcune schede video possono essere
configurate via software come di tipo
colore oppure monocromatico. Anche
questa transizione "soft" del tipo di
scheda video viene gestita corretta-
mente da MB408L.

Un'ultima nota per concludere: il tipo
di scheda video, colore oppure mono-
cromatica,  una caratteristica in-
trinseca della scheda stessa e non 
in alcun modo legato al tipo di moni-
Pagina 40

tor ad essa collegato. Una scheda
"Hercules"  monocromatica, le schede
"CGA", "EGA" e "VGA" sono di tipo co-
lore, anche se ad esse viene collegato
un monitor monocromatico.

5.2 I parametri di installazione

Come gi detto in precedenza, prima di
attivare il collegamento tra il termi-
nale Braille e il PC,  necessario ca-
ricare su quest'ultimo il programma di
interfaccia Braille, denominato
MB408L.EXE (oppure MB408L_E.EXE per la
versione inglese). Si tratta di un
programma residente nella memoria del
PC, che occupa uno spazio di circa 33
Kb e che provvede alla lettura dello
schermo del PC e alla comunicazione
con MB408L.

Se non viene specificato alcun parame-
tro sulla linea comandi del DOS al mo-
mento dell'installazione, il programma
si configura nel modo seguente:
                             Pagina 41

- La selezione del tipo di scheda vi-
deo (colore o monocromatica) viene
fatta automaticamente attraverso il
BIOS.

- La posizione del cursore video viene
letta attraverso il BIOS.

- Viene utilizzata la prima porta se-
riale tra quelle individuate sul PC.
Per esempio, su un PC con due porte
viene utilizzata COM1.

E' possibile modificare questa confi-
gurazione specificando opportuni para-
metri sulla linea comandi al momento
dell'installazione, in particolare ab-
biamo:

/M : impone che la scheda video sia di
tipo monocromatico.

/C : impone che la scheda video sia di
tipo colore.

/X : effettua la lettura della posi-
Pagina 42

zione del cursore video direttamente
dal controller della scheda video
piuttosto che attraverso il BIOS.

Queste 3 opzioni permettono di risol-
vere i problemi derivanti da errate
informazioni fornite dal BIOS, per il
motivo cui si accennava al paragrafo
precedente.

/1, /2, /3, /4: indica di utilizzare
la porta seriale indicata, rispettiva-
mente COM1, COM2, COM3 oppure COM4.

Altri parametri specificabili sono:

/B,ind,int : definisce la porta seria-
le da utilizzare per la comunicazione.
Questo parametro si deve usare in al-
ternativa al parametro precedente
quando si utilizza una porta seriale
non standard. Il parametro "ind" 
l'indirizzo base della porta seriale,
mentre "int"  l'interrupt associato
alla porta seriale. Si possono speci-
ficare i due valori sia in decimale
                             Pagina 43

che in esadecimale, facendo precedere
il numero dal simbolo "$" in
quest'ultimo caso. Consultare la docu-
mentazione relativa alla propria sche-
da seriale per individuare i valori da
specificare. Vediamo alcuni esempi :

/B,$03F8,4 specifica i valori standard
per la COM1

/B,$02F8,3 specifica i valori standard
per la COM2

/Q : per terminare l'esecuzione del
programma e rimuoverlo dalla memoria
del PC.

/H : per visualizzare una breve lista
di questi parametri.

Si tenga presente che i parametri pos-
sono essere indicati indifferentemente
in maiuscolo o minuscolo; inoltre 
possibile specificare pi parametri
contemporaneamente.
Pagina 44

I parametri di configurazione possono
essere indicati solo al momento del-
l'installazione, quindi per modifi-
carli  prima necessario scaricare il
programma con il parametro /Q.

5.3 La codifica dei tasti

Nella descrizione delle funzioni si
utilizzer la seguente convenzione per
indicare i tasti e le loro com-
binazioni:

F1-F0 : sono i 10 tasti divisi in due
tastiere sulla parte frontale.

Partento da sinistra verso destra F5 
il primo tasto della tastiera di sini-
stra, F1  l'ultimo tasto della stessa
tastiera. F6  il primo tasto della
tastiera di destra, F0  l'ultimo ta-
sto della stessa tastiera. Si noti che
F0  ultimo tasto del gruppo che, per
comodit di rappresentazione, si 
preferito indicare con F0 piuttosto
che con F10.
                             Pagina 45

I 5 tasti rimanenti nella parte ante-
riore di MB408L (tastiera centrale)
sono, da sinistra a destra:

LF : tasto freccia a sinistra.
UP : tasto freccia in alto.
Tasto di SHIFT.
DN : tasto freccia in basso.
RG : tasto freccia a destra.

Vengono utilizzati 3 prefissi per in-
dicare le combinazioni dei tasti:

S = SHIFT, tasto battuto insieme ad un
tasto di SHIFT.

L = LONG, tasto battuto per almeno 2
secondi. MB408L lo riconosce emettendo
un doppio "beep" (vedi il paragrafo
seguente).

SL = SHIFT LONG, combinazione dei due
precedenti.

Quindi ad ogni tasto sono associate 4
combinazioni, per esempio potremo ave-
Pagina 46

re F1, S-F1, L-F1 e SL-F1.

I 4 tasti freccia, battuti da soli,
hanno l'auto-ripetizione che si attiva
dopo circa un secondo di pressione. Il
tasto F0  normalmente usato come ta-
sto di uscita da una funzione o da un
messaggio di errore; quando per que-
sto tasto  gi utilizzato all'interno
della funzione, si utilizza al suo po-
sto il tasto L-F0 per uscire dalla
funzione.

5.4 Le segnalazioni acustiche

Alla pressione di un tasto viene asso-
ciato un singolo "beep" di breve dura-
ta; se la pressione si prolunga per
circa 2 secondi, MB408L risponde con
due "beep" ben spaziati per indicare
che  stata riconosciuta una combi-
nazione LONG. Tutte le segnalazioni di
errore vengono indicate con 3 "beep"
in rapida successione.

Con una funzione di MB408L  possibile
                             Pagina 47

disattivare le segnalazioni acustiche;
restano comunque attive le segnalazio-
ni relative agli errori e alle combi-
nazioni LONG.

5.5 Il codice di revisione software

Il software fornito pu venire aggior-
nato nel tempo, per cui  necessario
utilizzare un codice per indicare la
revisione corrente. Il codice adottato
 un numero di tre cifre nella forma
"n.nn". Al momento della stesura di
questo manuale la revisione software
 :

1.00 per il software sul terminale
MB408L.
1.00 per MB408L.EXE (progra. residente
su PC).
1.00 per MBCOM.EXE (progra. di utilit
su PC).

5.6 La codifica dei punti Braille

Gli 8 punti del carattere Braille ven-
Pagina 48

gono per convenzione numerati come se-
gue:

punto 1 : in alto a sinistra.
punto 2 : sotto al punto 1.
punto 3 : sotto al punto 2.
punto 4 : in alto a destra.
punto 5 : sotto al punto 4.
punto 6 : sotto al punto 5.
punto 7 : in basso a sinistra.
punto 8 : in basso a destra.

Per indicare la codifica relativa ad
un carattere si specificano i punti
attivati separati dal segno ":" (due
punti). Per esempio la lettera "M"
maiuscola viene specificata come:
1:3:4:7.

5.7 I caratteri di controllo

Sulla sinistra dei 40 caratteri del
modulo Braille sono presenti due ca-
ratteri di controllo che normalmente
riportano le coordinate del primo ca-
rattere della finestra Braille. Si no-
                             Pagina 49

ti che i caratteri di controllo sono
separati dai caratteri di lettura da
una cella vuota.

Per quanto riguarda la convenzione
utilizzata per indicare le coordinate
sullo schermo e con riferimento al
modo testo 80x25, vale quanto segue:

- Il carattere in alto a sinistra 
alla riga 1, colonna 1.
- Il carattere in alto a destra  alla
riga 1, colonna 80.
- Il carattere in basso a sinistra 
alla riga 25, colonna 1.
- Il carattere in basso a destra  al-
la riga 25, colonna 80.

Per potere indicare 4 numeri (riga e
colonna) con due caratteri si  ovvia-
mente dovuto ricorrere ad una codifica
particolare: ogni carattere viene di-
viso in due sezioni, i 4 punti supe-
riori e i 4 punti inferiori. In ogni
semi-carattere viene rappresentato un
numero; nei due semi-caratteri supe-
Pagina 50

riori viene indicata la riga e in
quelli inferiori la colonna.

La codifica utilizzata per rappresen-
tare un numero in un semi-carattere 
la seguente:

Numero  In alto     In basso
 0     2:4:5       7:6:8
 1     1           3
 2     1:2         3:7
 3     1:4         3:6
 4     1:4:5       3:6:8
 5     1:5         3:8
 6     1:2:4       3:7:6
 7     1:2:4:5     3:7:6:8
 8     1:2:5       3:7:8
 9     2:4         7:6

I caratteri di controllo vengono uti-
lizzati anche per altre indicazioni.
Battendo un tasto di SHIFT, i due ca-
ratteri riportano la posizione del
cursore sul video, utilizzando sempre
la codifica appena descritta. Quando
il tasto viene rilasciato, si ritorna
                             Pagina 51

all'indicazione della posizione della
finestra Braille di MB408L.

Inoltre, in diversi comandi di attiva-
zione e disattivazione di funzioni, i
due caratteri di controllo vengono
utilizzati momentaneamente per indica-
re lo stato della funzione; ci verr
descritto in dettaglio nel prossimo
capitolo.

6. Le funzioni di MB408L

All'accensione, MB408L effettua un
controllo dell'hardware e sull'inte-
grit del codice caricato e, se non
vengono riscontrati errori, esegue il
programma di gestione e riporta sulla
riga Braille la revisione di software
attualmente presente e il numero di
protocollo attivo.

Se il controllo non fornisce un esito
positivo, viene riportata una segnala-
zione di errore; in tal caso procedere
come indicato pi avanti, nell'appen-
Pagina 52

dice 3.

Per accedere al men delle funzioni di
servizio bisogna premere e rilasciare
il tasto F1 durante la prima fase di
accensione di MB408L, quando sul di-
splay appare la scritta "MB408L BIOS
vn.nn".

Le funzioni di servizio vengono atti-
vate battendo uno dei tasti F1-F0 e
permettono di controllare l'hardware
di MB408L, di modificare il font di
caratteri Braille definibile dal-
l'utente, di cambiare la lingua dei
messaggi ed altro. Nel prossimo capi-
tolo verranno descritte in dettaglio
tutte le funzioni di servizio.

E' comunque possibile vedere la lista
di queste funzioni battendo i tasti
freccia per spostarsi avanti e indie-
tro.

MB408L inizia la lettura, posizionando
la finestra Braille all'inizio dello
                             Pagina 53

schermo; se  attiva la funzione di
aggancio automatico con il cursore, il
terminale si porta subito sulla posi-
zione del cursore video. Ora passeremo
alla descrizione dettagliata di tutte
le funzioni disponibili; in appendice
vengono riportate due liste riassunti-
ve delle funzioni, una ordinata per
tipo di funzione (appendice 1) e una
in ordine di tasto (appendice 2).

Nei paragrafi seguenti, la riga Brail-
le di MB408L verr indicata con il
termine "display Braille" o anche sem-
plicemente "display"; ci per evitare
una possibile confusione tra "riga
Braille" e "riga sullo schermo".

Inoltre, con la frase "battere un ta-
sto qualsiasi", si intende la pressio-
ne e il rilascio di un tasto ad esclu-
sione di quelli di SHIFT.

6.1 Gli spostamenti di base

Gli spostamenti di base del display
Pagina 54

Braille vengono effettuati utilizzando
i 4 tasti freccia, in particolare ab-
biamo:

UP = si sposta di una riga in alto.

DN = si sposta di una riga in basso.

LF = si sposta di 40 caratteri a sini-
stra oppure indietro fino al testo
precedente, se  attiva la modalit
"testo compresso".

RG = si sposta di 40 caratteri a de-
stra oppure in avanti fino al testo
successivo, se  attiva la modalit
"testo compresso".

La modalit "testo compresso" viene
descritta pi avanti (par. 6.3) e vie-
ne attivata con la funzione F6. I ta-
sti LF e RG possono anche effettuare
spostamenti avanti e indietro di 36
caratteri alla volta piuttosto che 40,
ci in relazione allo stato della fun-
zione S-F5 (par. 6.9).
                             Pagina 55

S-UP = tabulazione verticale in alto.

S-DN = tabulazione verticale in basso.

Per tabulazione verticale si intende
uno spostamento di pi righe in una
sola volta; normalmente l'ampiezza di
questo salto  di 4 righe ma pu esse-
re modificata con la funzione L-F8
(par. 6.5).

6.2 Altre funzioni di spostamento

F1 = vai all'inizio della prima riga
della finestra attualmente definita.

S-F1 = vai al primo testo presente al-
l'interno della finestra definita.

F2 = vai all'inizio dell'ultima riga
della finestra.

S-F2 = vai all'ultimo testo presente
all'interno della finestra.

F4 = spostati sulla posizione del cur-
Pagina 56

sore. Questa funzione opera indipen-
dentemente da quella di aggancio auto-
matico del cursore (funzione F5, par.
6.4).

Si tenga presente che tutte le funzio-
ni di spostamento sono relative alla
finestra definita e non permettono in
alcun modo di uscire da questa. La de-
finizione delle finestre verr de-
scritta nel paragrafo 6.7.

Inoltre, lo spostamento del display
avanti e indietro con i tasti LF e RG
permette anche di passare da una riga
alla successiva (o alla precedente) ma
senza mai spezzare il display sul con-
tenuto di due righe successive.

Vediamo qualche esempio considerando
la riga lunga 80 caratteri. Nel caso
di avanzamento normale a passi di 40
caratteri, le posizioni del display
sulla riga, spostandosi con il tasto
RG e partendo da inizio riga, saranno:
                             Pagina 57

Colonna 1 (estremo sinistro), 41
(estremo destro).

Nel caso di passo di 36 caratteri,
avremo invece:

Colonna 1 (estremo sinistro), 37,  73
(estremo destro).

Come si vede, l'ultimo avanzamento vi-
sualizza solo gli ultimi 8 caratteri
della riga; dopo l'ultimo carattere
troveremo il carattere speciale di
"fine finestra" (punti 1:2:3:4:5:6:8).
Tutti i caratteri successivi sono vuo-
ti. Il carattere di "fine finestra"
indica sempre il bordo destra della
finestra attualmente definita  anche
l'intero schermo si pu considerare
una finestra, in questo caso di dimen-
sioni 80x25 caratteri.

Battendo ora il tasto RG con il di-
splay sull'estremo destro della fine-
stra, ci si sposta sulla colonna 1
della riga successiva.
Pagina 58

Vi sono poi delle funzioni che permet-
tono di far scorrere il display a de-
stra o a sinistra a passi di un carat-
tere:

F3 = scorrimento del display a sini-
stra di un carattere.

F8 = scorrimento del display a destra
di un carattere.

SL-F3 = annulla lo scorrimento dei ca-
ratteri.

E' possibile far scorrere i caratteri
fino a quando si raggiunge una delle
posizioni estreme. Vediamo un esempio.

Riga di 80 caratteri, spostamento nor-
male a passo 40 caratteri, scorrimento
di 3 caratteri a destra; le posizioni
del display saranno:

Colonna 1 (estremo sinistro), 4, 44
(estremo destro).
                             Pagina 59

6.3 La modalit "Testo Compresso"

Per spostamento in "testo compresso"
si intende uno spostamento in avanti
(o indietro) saltando le zone che con-
tengono solo spazi ed eventualmente
caratteri semigrafici. Questa funzione
 molto utile in fase di lettura dello
schermo per saltare righe parzialmente
o totalmente vuote.

F6 = attiva/disattiva la modalit
"testo compresso". I caratteri di con-
trollo riportano rispettivamente T+ e
T-.

Spesso i programmi applicativi usano
mettere in evidenza certe porzioni
dello schermo disegnando cornici con i
caratteri semigrafici disponibili nel
set ASCII IBM. Per evitare di fermarsi
inutilmente quando si incontrano que-
sti caratteri, la modalit "testo com-
presso" prevede una funzione con cui 
possibile ignorare anche i caratteri
semigrafici, oltre gli spazi.
Pagina 60

L-F1 = attiva/disattiva il filtro ca-
ratteri semigrafici. Indica se i ca-
ratteri semigrafici (codice ASCII da
176 a 255) vanno saltati o meno quando
 attiva la modalit "testo compres-
so". I caratteri di controllo riporta-
no rispettivamente G- e G+.

6.4 La gestione del cursore

Il cursore video  un elemento fonda-
mentale dello schermo; esso di solito
indica la posizione in cui verranno
scritti i prossimi caratteri battuti
sulla tastiera del PC. Solitamente,
sullo schermo, il cursore appare come
un trattino lampeggiante posto sotto
al carattere su cui  posizionato. Co-
munque i programmi applicativi possono
modificarne la forma, fino a tra-
sformarlo in un rettangolino lampeg-
giante sovrapposto al carattere.

MB408L permette di visualizzare o meno
il cursore video e, nel primo caso,
permette anche di selezionare la rap-
                             Pagina 61

presentazione del cursore sul display.

L-F5 = attiva/disattiva la visualizza-
zione del cursore. I caratteri di con-
trollo riportano rispettivamente C+ e
C-.

S-F4 = seleziona il tipo di cursore, a
carattere pieno o a trattino. I carat-
teri di controllo riportano C seguito
dalla forma del cursore selezionato.

Il cursore a carattere pieno utilizza
tutti gli 8 punti per indicare la po-
sizione del cursore video;  facile da
individuare ma copre il carattere su
cui  posizionato. Il cursore a trat-
tino utilizza solo i punti 7 e 8 e
quindi copre solo una parte, spesso
non essenziale, del carattere Braille.
Per esempio, con le lettere si perde
solo l'informazione relativa al fatto
che queste siano maiuscole o minusco-
le.

Si tenga comunque presente che batten-
Pagina 62

do un tasto SHIFT da solo, il caratte-
re cursore viene momentaneamente can-
cellato dal display Braille, dando la
possibilit di leggere il carattere
sotto di esso. Inoltre i due caratteri
di controllo riportano le coordinate
del cursore. Appena il tasto SHIFT
viene rilasciato, il cursore riappare
e i caratteri di controllo ritornano
ad indicare le coordinate iniziali del
display Braille.

F5 = attiva/disattiva l'aggancio auto-
matico con il cursore. I caratteri di
controllo riportano rispettivamente A+
e A-.

Appena questa funzione viene attivata,
il display viene posizionato in modo
tale da contenere il cursore video.
Questa condizione viene mantenuta con
opportuni movimenti del display anche
quando il cursore viene spostato.

La funzione S-F5 (vedi par. 6.9) anche
in questo caso determina se l'avanza-
                             Pagina 63

mento automatico del display avviene a
passi di 36 oppure di 40 caratteri.

L'aggancio automatico  utile soprat-
tutto quando si utilizzano programmi
di gestione testi, in quanto permette
al display di visualizzare sempre gli
ultimi caratteri che l'utente ha bat-
tuto sulla tastiera del PC. Se  atti-
va una finestra, l'aggancio automatico
 valido solo finch il cursore video
resta dentro la finestra; ci in ac-
cordo alla regola di non fare mai
uscire il display dalla finestra atti-
va.

Anche se la funzione di aggancio auto-
matico  attiva,  possibile spostare
manualmente il display come descritto
in precedenza. Comunque, non appena il
cursore video viene spostato, il di-
splay torna a posizionarsi su di esso.
Ricordiamo, comunque, che con la fun-
zione F4 (par. 6.2)  possibile ripor-
tare il display sul cursore, dopo uno
spostamento manuale, senza dover muo-
Pagina 64

vere il cursore video.

SL-F5 = attiva/disattiva il ritardo di
aggancio cursore. I caratteri di con-
trollo riportano rispettivamente D+ e
D-.

Quest'ultima funzione, legata all'ag-
gancio con il cursore, permette di at-
tivare o disattivare un breve ritardo
di tempo nell'operazione di spostamen-
to del display per agganciarsi alla
posizione del cursore video.

Alcuni programmi di gestione testi ri-
portano sullo schermo una linea di
stato (di solito la prima o l'ultima)
in cui vengono anche indicate le coor-
dinate del cursore momento per momen-
to. Quando viene battuto un tasto, sul
video viene scritto il carattere cor-
rispondente nella posizione del curso-
re; poi il cursore viene spostato sul-
la linea di stato per aggiornare le
coordinate ed infine viene riportato
nella posizione successiva a quella
                             Pagina 65

del carattere appena battuto.

Tutta questa operazione avviene cos
velocemente che difficilmente  perce-
pibile sullo schermo; per pu venire
avvertita da MB408L che, nel caso di
aggancio automatico attivo, sposta per
un attimo il display sulla linea di
stato. Questo spostamento indesiderato
pu essere eliminato attivando il ri-
tardo di aggancio con SL-F5.

6.5 Le tabulazioni

MB408L prevede 3 funzioni per la ge-
stione delle tabulazioni orizzontali,
utili per la consultazione di tabelle
e tabulati. Le tabulazioni orizzontali
sono posizioni di colonna predefinite,
valide indipendentemente dalla riga
dello schermo. L'utente pu definire
fino a 10 di queste posizioni e quindi
passare dall'una all'altra con le due
funzioni che seguono.

S-F3 = vai alla tabulazione orizzonta-
Pagina 66

le precedente.

S-F8 = vai alla tabulazione orizzonta-
le successiva.

Con queste funzioni ci si sposta in
modo ordinato avanti e indietro tra le
tabulazioni attive al momento. Comun-
que eventuali tabulazioni fuori dalla
finestra attiva non vengono considera-
te.

Per definire le posizioni si utilizza:

L-F3 = definisci le tabulazioni oriz-
zontali.

Con questo tasto si entra nella fun-
zione che consente di definire fino a
10 diverse posizioni di tabulazione.
Sul display viene indicato il numero
della tabulazione selezionata (da 1 a
10) e la posizione corrispondente; se
anzich la colonna di tabulazione ven-
gono indicati due trattini, allora la
tabulazione non  attiva.
                             Pagina 67

Ci significa che la sua posizione 
ancora memorizzata da MB408L ma non
viene considerata quando si utilizzano
le funzioni di spostamento tabulazione
S-F3 e S-F8.

Con i tasti F1-F0 si seleziona la ta-
bulazione da impostare; notare che F0
corrisponde alla decima tabulazione.

Con S-F5 si attiva o disattiva la ta-
bulazione; quando questa  attiva, si
utilizzano i tasti freccia per impo-
stare la colonna corrispondente (tra 1
e 41). Con UP e LF si decrementa il
valore della posizione, con RG e DN si
incrementa.

Con S-F0 si riporta la tabulazione in
colonna 1, mentre con S-F1 si riporta
la posizione della prima colonna su
cui  attualmente posizionato il di-
splay, leggibile nella parte inferiore
dei caratteri di controllo.

Uscire dalla funzione con L-F0.
Pagina 68

Per definire la tabulazione verticale
(vedi par. 6.1) si utilizza la funzio-
ne:

L-F8 = selezione tabulazione vertica-
le.

Usare i tasti freccia per modificare
il valore, compreso tra 2 e 49 righe.
Con UP e LF si decrementa il valore,
con RG e DN si incrementa. Uscire dal-
la funzione con F0. Notare che i valo-
ri oltre 24 vengono utilizzati solo
con i modi testo estesi (fino a 50 ri-
ghe).

6.6 I marker

I marker rappresentano posizioni sullo
schermo su cui il display pu essere
portato con una opportuna funzione.
Essi sono utili per poter raggiungere
velocemente informazioni sullo schermo
di cui  nota la posizione. Ogni mar-
ker  definito da una posizione di ri-
ga e una di colonna. Le funzioni che
                             Pagina 69

provvedono alla loro gestione sono:

F9 = richiama un marker, cio porta il
display alla posizione del marker se-
lezionato.

Dopo aver battuto questo tasto, i ca-
ratteri di controllo indicano "MK" e
la funzione resta in attesa dell'indi-
cazione del marker desiderato; battere
quindi uno dei tasti F1-F0. Eventuali
marker fuori dalla finestra attiva non
vengono considerati.

L-F9 = definizione dei marker.

Si possono definire fino a 10 marker,
selezionabili con i tasti F1-F0; nota-
re che F0 corrisponde al decimo mar-
ker. Il display riporta il numero del
marker selezionato (da 1 a 10) e la
riga e colonna corrispondenti.

All'interno della funzione sono attivi
i seguenti tasti:
Pagina 70

UP = decrementa il valore della riga.
LF = decrementa il valore della colon.
RG = incrementa il valore della colon.
DN = incrementa il valore della riga.

S-F1 = definisci il marker alle coor-
dinate attuali del display, indicate
anche sui caratteri di controllo.

S-F0 = riporta il marker in colonna 1,
riga 1.

L-F0 = esci dalla funzione.

6.7 Le finestre

Le finestre definiscono un'area ret-
tangolare sullo schermo all'interno
della quale il display pu muoversi,
ma senza poterne uscire. Con il termi-
ne "finestra a schermo pieno" si in-
tende una finestra la cui dimensione 
pari a quella di tutto lo schermo.

Molti programmi applicativi definisco-
no delle finestre (spesso chiamate an-
                             Pagina 71

che "window"), delimitate da cornici,
per mettere in evidenza determinate
porzioni dello schermo.

Anche per le finestre abbiamo due fun-
zioni, una di attivazione e una di de-
finizione:

F7 = attiva una delle finestre defini-
te.

Dopo aver battuto questo tasto, i ca-
ratteri di controllo indicano "WN" e
la funzione resta in attesa dell'indi-
cazione della finestra desiderata;
battere quindi uno dei tasti F1-F0.
Notare che F0 corrisponde alla decima
finestra.

La finestra F7  un po' particolare,
in quanto  predefinita a schermo pie-
no e non pu essere modificata dal-
l'utente. Quindi, battendo F7 due vol-
te, si riporta sempre la finestra at-
tiva a schermo pieno.
Pagina 72

L-F7 = definizione delle finestre.

Il display riporta (da sinistra verso
destra) il numero della finestra sele-
zionata, riga e colonna del suo ver-
tice in alto a sinistra, riga e colon-
na del suo vertice in basso a destra.

Con i tasti F1-F0 si seleziona la fi-
nestra desiderata; si noti che batten-
do il tasto F7 il display riporta il
messaggio "Finestra a schermo pieno"
per indicare che la finestra numero 7
 sempre grande come tutto lo schermo
e quindi non pu essere modificata.

All'interno di questa funzione sono
attivi i seguenti tasti:

S-F5 = seleziona la coppia "RC"
(riga/colonna) da modificare con i ta-
sti freccia. La coppia pi a sinistra
 relativa al vertice in alto a sini-
stra, quella pi a destra al vertice
in basso a destra. Notare che la cop-
pia selezionata viene indicata con le
                             Pagina 73

lettere "RC" in caratteri maiuscoli.

UP = decrementa il valore della riga.
LF = decrementa il valore della colon.
RG = incrementa il valore della colon.
DN = incrementa il valore della riga.

S-F0 = riporta la finestra a schermo
pieno.

L-F0 = esci dalla funzione.

La prima volta che una finestra viene
attivata, il display viene posizionato
nell'angolo in alto a sinistra. Quando
si seleziona una finestra diversa,
MB408L memorizza la posizione del di-
splay all'interno della finestra che
sta per essere abbandonata. In tal
modo, quando questa finestra verr ri-
attivata, il display potr essere po-
sizionato nello stesso punto in cui
era.

La definizione automatica delle fine-
stre.
Pagina 74

In alternativa a quanto appena de-
scritto, dopo aver battuto F7 per at-
tivare una finestra,  possibile bat-
tere uno dei tasti S-F1 - S-F0 anzich
F1-F0. In tal modo MB408L cerca di de-
terminare automaticamente se sullo
schermo esistono delle finestre deli-
mitate da cornici.

In caso affermativo, la prima finestra
individuata viene associata al numero
corrispondente al tasto battuto e su-
bito attivata. La ricerca delle fine-
stre avviene scansionando lo schermo
in modo progressivo e ciclico. E' co-
munque possibile che certe finestre,
delimitate da cornici particolari, non
vengano individuate.

Vediamo per finire un esempio: sullo
schermo sono presenti due finestre de-
limitate da cornici. Battendo F7 e S-
F3, si individua la prima finestra che
viene associata alla finestra numero 3
e subito attivata. Battendo ora F7 e
S-F4, si individua la seconda finestra
                             Pagina 75

che viene associata alla finestra nu-
mero 4 e attivata.

Per riattivare la finestra precedente
battere F7 e quindi F3. Per tornare a
schermo pieno battere F7 due volte.

6.8 La gestione degli attributi testo

Come gi detto in precedenza, ad ogni
carattere sullo schermo  associato un
attributo che ne definisce il colore
ed altre caratteristiche. MB408L di-
spone di alcune funzioni che permetto-
no di visualizzare sul display l'at-
tributo del carattere, oppure di met-
tere in evidenza determinati attributi
definiti dall'utente.

Con riferimento ad una scheda video di
tipo colore, per gli attributi si 
utilizzata la codifica che segue. I
punti 1, 2, 3 e 4 indicano il colore
del carattere, i punti 5, 6 e 7 il co-
lore del suo sfondo e il punto 8 indi-
ca se il carattere  lampeggiante. Il
Pagina 76

colore del carattere viene spesso
chiamato "colore di foreground" mentre
quello del suo sfondo "colore di back-
ground".

La codifica per il colore del caratte-
re  la seguente:
Nero nessun punto attivo
Blu 1
Verde 2
Azzurro 1:2
Rosso 3
Viola 1:3
Marrone 2:3
Bianco 1:2:3
Grigio scuro 4
Blu intenso 1:4
Verde intenso 2:4
Azzurro intenso 1:2:4
Rosso intenso 3:4
Viola intenso 1:3:4
Giallo 2:3:4
Bianco intenso 1:2:3:4

La codifica per il colore dello sfondo
 la seguente:
                             Pagina 77

Nero nessun punto attivo
Blu 5
Verde 6
Azzurro 5:6
Rosso 7
Viola 5:7
Marrone 6:7
Bianco 5:6:7

Il punto 8  attivo quando il caratte-
re  lampeggiante.

Se la scheda video  di tipo monocro-
matico (come la scheda Hercules), al-
lora la codifica valida  la seguente.

Per il carattere:

Nero nessun punto attivo
Bianco 1:2:3
Alta intensit1:2:3:4
Lampeggiante 4
Bianco sottolineato1
Alta int. Sottolineato 1:4

Per lo sfondo:
Pagina 78

Nero nessun punto attivo
Bianco 5:6:7
Alta intensit 5:6:7:8
Lampeggiante 8

Si tenga presente che alcune schede
video possono avere una codifica dif-
ferente per gli attributi video. Per
esempio,  possibile che il punto 8
venga utilizzato per avere pi colori
di sfondo, piuttosto che per indicare
se il carattere  lampeggiante.

Le funzioni relative alla gestione de-
gli attributi testo sono:

S-F6 = attiva/disattiva visualizzazio-
ne attributi testo dei caratteri. Per-
mette di visualizzare sul display
l'attributo del carattere piuttosto
che il suo valore. All'interno di que-
sta modalit, per facilitare il rico-
noscimento dei punti attivi, premendo
il tasto "shift" vengono momentanea-
mente attivati tutti i punti, rila-
sciando il tasto "shift" ritorna il
                             Pagina 79

codice attributo.

L-F6 = attiva/disattiva visualizzazio-
ne attributo selezionato. Mette in
evidenza sul display tutti i caratteri
che hanno un determinato attributo vi-
deo, definito dall'utente attraverso
la funzione SL-F6 (vedi oltre). Questi
caratteri vengono indicati con i punti
7 e 8 attivi. I caratteri di controllo
riportano rispettivamente V+ e V-.

SL-F6 = selezione attributo caratteri.

Sulla parte destra del display viene
indicato l'attributo testo attualmente
selezionato, racchiuso tra due carat-
teri pieni per facilitarne la lettura.
Anche il secondo carattere di control-
lo riporta questo attributo, con la
differenza che la sua rappresentazione
non verr modificata dalla funzione.
In tal modo, questo carattere ricorda
all'utente la configurazione dell'at-
tributo prima di eventuali modifiche.
Pagina 80

Spesso l'attributo selezionato  il
"reverse", cio il colore nero su
sfondo bianco, codificato con i punti
5:6:7.

Sulla parte sinistra del display viene
indicata la scritta "Selezione attri-
buto". All'interno della funzione sono
attivi i seguenti tasti:

F1-F4 e F6-F9 = attiva/disattiva il
punto Braille corrispondente, come po-
sizione, sull'attributo.

F5 = attiva tutti gli 8 punti dell'at-
tributo.

F0 = disattiva tutti gli 8 punti del-
l'attributo.

S-F5 = indica i colori corrispondenti
al codice attributo selezionato. Il
primo colore  relativo al testo
(foreground), il secondo al suo sfondo
(background). Il segno "+" dopo un co-
lore indica che questo  ad alta in-
                             Pagina 81

tensit. Se il carattere  lampeggian-
te, viene aggiunta l'indicazione
"LAM". Battere un tasto qualsiasi per
cancellare l'indicazione del colore.

L-F0 = esci dalla funzione.

6.9 Altre funzioni di MB408L

L-F0= selezione del protocollo di co-
municazione, i caratteri di controllo
riportano SP. Questa funzione permette
di selezionare il protocollo di comu-
nicazione tra il display Braille e il
programma residente sul PC. Il proto-
collo di default  il numero 1 e,
quando si utilizza il programma
MB408L.EXE, bisogna selezionare questo
protocollo.

I protocolli selezionabili sono 10 ma
al momento della stesura del manuale
sono attivi solo i primi 4. Consultare
il file "leggimi.doc" per  informazio-
ni sul funzionamento del display con
protocolli diversi dal numero 1.
Pagina 82

All'interno di questa funzione sono
attivi i seguenti tasti :

-RG/DN = avanti nella lista.
-LF/UP = indietro nella lista.
-F1..F0 =  selezione protocollo 1..10.
-L-F0 = esce dalla funzione attivando
il protocollo selezionato.
-L-F5 = esce dalla funzione senza at-
tivare il protocollo selezionato.

Nel caso venga attivato un protocollo
diverso da quello precedentemente at-
tivo, viene effettuato un reset auto-
matico del display.

SL-F0= help on-line. Selezionando que-
sta funzione, alla pressione dei tasti
funzione nelle loro quattro combi-
nazioni, viene visualizzata una breve
descrizione della funzione eseguita.
All'interno di questa modalit non 
possibile esplorare lo schermo. Trami-
te questa funzione  possibile ridefi-
nire i tasti associati alle varie fun-
zioni.
                             Pagina 83

Per ridefinire un tasto procedere nel
seguente modo:

1. Individuare la funzione che si vuo-
le associare ad un nuovo tasto spo-
standosi nella lista delle funzioni.
2. Premere il primo touch sui caratte-
ri di controllo.
3. A questo punto verr richiesto di
premere il tasto a cui si vuole as-
sociare la funzione.

Ora il tasto selezionato eseguir la
nuova funzione associata. Se il tasto
utilizzato era associato ad una fun-
zione, questa non verr pi richamata.
Leggendo la lista delle varie funzio-
ni, si noter che la funzione associa-
ta al tasto appena utilizzato non avr
pi nessun tasto associato ad essa e
la scritta "???" viene riportata al
posto del tasto. Per uscire dalla fun-
zione di help, utilizzare il tasto L-
F0. Al momento dell'uscita dalla fun-
zione, nel caso in cui vi siano fun-
zioni non associate ad un tasto, verr
Pagina 84

visualizzato un messaggio di avverti-
mento che riporta il numero di funzio-
ni non associate ad alcun tasto
(premere F0 per cancellare il messag-
gio).

Gli unici tasti che non possono essere
ridefiniti sono:

- LF,UP,DN,RG,L-F0,SL-F0

Premendo il secondo touch sui caratte-
ri di controllo, si ripristina l'asso-
cia-zione standard dei tasti. Viene
visualizzato un messaggio con la ri-
chiesta di conferma prima di procedere
al ripristino di TUTTI i tasti stan-
dard. Rispondere con F1 per conferma-
re, con un altro tasto per annullare.

All'interno della funzione di help so-
no attivi i seguenti tasti :

LF=indietro di 40 caratteri.
RG=avanti di 40 caratteri.
UP=prima riga della funzione preceden-
                             Pagina 85

te.
DN=prima riga della funzione successi-
va.
F1..SL-F0=help funzione relativa al
tasto premuto.
L-F0=esce dalla funzione.

L-F2 = seleziona il Font Braille atti-
vo, i caratteri di controllo riportano
SF. Questa funzione permette di sele-
zionare il font Braille fra 11 font
fissi ed un font definito dall'utente.
Con i tasti RG/DN si avanza nella li-
sta, con LF/UP si indietreggia nella
lista. Per uscire dalla funzione pre-
mere il tasto F0.

S-F5 = seleziona avanzamento a passi
di 40 oppure di 36 caratteri. I carat-
teri di controllo riportano A3 (36 ca-
ratteri) oppure A4 (40 caratteri).

Questa funzione viene utilizzata anche
nel caso di aggancio automatico con il
cursore video (vedi par. 6.4). Il van-
taggio dell'avanzamento a passo 36 
Pagina 86

che il cursore non raggiunge mai le
posizioni estreme del display, permet-
tendo quindi di vedere sempre i carat-
teri che stanno prima e dopo; ci ri-
sulta particolarmente comodo quando si
utilizzano programmi di elaborazione
testi.

SL-F8 = attiva/disattiva la segnala-
zione acustica associata alla pressio-
ne di un tasto. I caratteri di con-
trollo indicano rispettivamente S+ e
S-. Le segnalazioni relative agli er-
rori e alla pressione "lunga" di un
tasto restano comunque attivate, indi-
pendentemente dallo stato di questa
funzione.

S-F9 = attiva/disattiva i punti 7 e 8
del font Braille. Questa funzione 
relativa solo al testo letto sullo
schermo e non  attiva sui caratteri
di controllo, nell'indicazione degli
attributi video e nei messaggi prodot-
ti da MB408L. I caratteri di controllo
riportano rispettivamente B8 e B6. La
                             Pagina 87

possibilit di lavorare con il Braille
classico a 6 punti rende pi agevole
l'utilizzo del terminale a quei nuovi
utenti non ancora abituati al Braille
esteso a 8 punti.

SL-F9 = riporta alcune informazioni
relative alla configurazione video at-
tuale, ottenute dal BIOS del PC. Que-
ste sono:

-Modo video attualmente attivo.
-Pagina di testo selezionata.
-Forma del cursore definita attraverso
la prima e l'ultima linea di scansio-
ne.

Tutte queste informazioni sono legate
al tipo di scheda video utilizzata e,
in generale, sono di interesse solo
per l'utente che si dedica alla pro-
grammazione del PC.

Utilizzare i tasti freccia per spo-
starsi nella lista delle informazioni,
uscire dalla funzione con F0.
Pagina 88

SL-F1 = reset totale dei parametri di
MB408L. I caratteri di controllo indi-
cano RT.

I parametri di MB408L vengono selezio-
nati come segue:

-tabulazione verticale di ampiezza 4
righe.
-filtro caratteri semigrafici attivo
-font "EURO437" attivo
-cursore visibile
-forma del cursore a "carattere pieno"
-aggancio automatico cursore disatti-
vato
-spostamento orizzontale a passi di 40
car.
-ritardo aggancio cursore disattivato
-attributo testo:reverse (nero su
bianco)
-visualizzazione attributo testo di-
sattivata
-modalit testo compresso disattivata
-tabulazioni orizzon. in pos. 1 e di-
sattivate
-marker tutti in riga 1, colonna 1
                             Pagina 89

-finestre tutte riportate a schermo
pieno
-segnalazione acustica attivata
-font Braille a 8 punti.
-soft-cursor disattivato.
-parametri del soft-cursor come segue:
  attributo: reverse (nero su bianco)
  maschera attributo: solo background
  posizione: iniziale
  hard-cursor: ignorato

SL-F2 = reset parziale dei parametri
di MB408L. I caratteri di controllo
riportano RP. Funzione analoga a SL-F1
ma i seguenti parametri non vengono
modificati:

- tabulazione verticale
- tabulazioni orizzontali
- marker
- finestre
- attributo testo
- parametri del soft-cursor

S-F7 = seleziona lo spostamento del
cursore attraverso la simulazione mou-
Pagina 90

se oppure il cursor routing (vedi ca-
pitolo 6.13 per maggiori informazio-
ni), i caratteri di controllo riporta-
no MS oppure CR.

SL-F7 = questa funzione permette in
certi casi di leggere un testo senza
interagire con la tastiera del compu-
ter. Siccome questa funzione deve si-
mulare la pressione di tasti freccia
sulla tastiera del computer, il suo
corretto funzionamento  legato al ti-
po di programma utilizzato per visua-
lizzare il testo.

Per visualizzare un file, normalmente
si utilizzano un editor o un viewer;
la
differenza principale tra questi due
tipi di visualizzazione sta nel fatto
che un viewer nasconde il cursore o lo
tiene fisso sullo schermo, invece un
editor permette di spostare il cursore
all'interno dello schermo. Questa re-
gola viene di norma seguita ma non ha
comunque validit generale.
                             Pagina 91

Bisogna quindi comportarsi diversamen-
te a seconda del programma che si sta
utilizzando. Se si sta utilizzando un
viewer,  necessario attivare la fun-
zione quando il cursore dello schermo
non  presente all'interno della riga
di lettura Braille; se invece si sta
utilizzando un editor, il cursore deve
essere presente all'interno della riga
di lettura. Quindi, la presenza o meno
del cursore sulla riga di lettura al
momento dell'attivazione della funzio-
ne determina un diverso comportamento
della funzione stessa.

Sui caratteri di controllo appare la
scritta "LA" e rimangono attivi solo i
tasti di spostamento (i 4 tasti frec-
cia) e disattivati tutti i tasti fun-
zione finch non si esce dalla funzio-
ne stessa ripremendo SL-F7.

Per un corretto funzionamento pu es-
sere necessario definire anche una
finestra che comprenda solo le righe
di testo che appaiono sullo schermo.
Pagina 92

Infatti, molto spesso i programmi han-
no delle righe di stato o di men al-
l'inizio e alla fine dello schermo:
queste righe devono essere escluse
dalla finestra definita.

F0 = attive le funzioni interne di
MB408L. Vedi capitolo 7.

6.10 La gestione del Soft-Cursor

Il cursore di cui si  parlato fino ad
ora  intrinsecamente legato alla
scheda video del PC e per questo pos-
siamo riferirci ad esso come "cursore
hardware" o, pi brevemente, come
"Hard-Cursor".

Come gi detto in precedenza, il cur-
sore viene di solito utilizzato dai
programmi per mettere in evidenza la
posizione in cui verr scritto il
prossimo carattere battuto da tastie-
ra, oppure per indicare una di varie
possibili scelte che l'utente deve ef-
fettuare.
                             Pagina 93

Alcuni programmi applicativi preferi-
scono per utilizzare gli attributi
del testo per mettere in evidenza
quanto desiderato; ci significa cam-
biare in certe aree dello schermo il
colore del testo e del suo sfondo. Co-
s il cursore viene individuato da un
determinato colore piuttosto che da un
trattino lampeggiante; questo tipo di
cursore viene indicato spesso come
"cursore software" o "Soft-Cursor" e
la sua gestione pu essere completa-
mente indipendente da quella
dell'"Hard-Cursor".

Infatti accade spesso che il cursore
hardware venga tenuto fermo e invisi-
bile in un angolo dello schermo e mai
spostato, per cui la sua posizione 
assolutamente non significativa. Un
vantaggio evidente del Soft-Cursor sta
nel fatto che questo pu venire
"esteso" a pi caratteri adiacenti,
mettendo quindi in evidenza una parola
o una frase, piuttosto che un singolo
carattere. Il Soft-Cursor  infatti
Pagina 94

usatissimo in molti programmi come
barra di selezione dei men.

Alcuni programmi utilizzano entrambi i
tipi di cursore; in particolare
l'Hard-Cursor  attivo quando  ri-
chiesta l'immissione di testo o di da-
ti, mentre il Soft-Cursor  attivo so-
lo quando l'utente deve selezionare
una voce in un men.

A volte capita che la posizione del
cursore hardware venga spostata in
modo da coincidere quasi sempre con
quella del Soft-Cursor, oppure che il
colore associato al cursore software
non sia lo stesso in tutte le funzioni
del programma.

Si vede, quindi, che molte sono le si-
tuazioni che si possono incontrare,
spesso legate al tipo di programma ap-
plicativo e alla filosofia di proget-
tazione adottata per la suo realizza-
zione.
                             Pagina 95

Dal nostro punto di vista, la gestione
del Soft-Cursor risulta essere cosa
ben pi complessa di quella dell'Hard-
Cursor. Infatti, la posizione di que-
st'ultimo viene fornita direttamente
dal BIOS del PC o dalla scheda video,
mentre la posizione di un Soft-Cursor
deve venire ricercata sul video, in
base all'attributo testo ad esso asso-
ciato.

Per quanto detto prima, risulta evi-
dente che non sempre l'aggancio auto-
matico con un Soft-Cursor  un'opera-
zione semplice e di sicuro risultato.
E' importante fornire all'utente la
possibilit di modificare alcuni para-
metri di configurazione del metodo
utilizzato per la ricerca del Soft-
Cursor.

MB408L prevede due funzioni relative
alla gestione del cursore software,
una di attivazione e una di configu-
razione:
Pagina 96

SL-F4 = seleziona i parametri relativi
al Soft-Cursor.

E' possibile definire fino a tre at-
tributi per la ricerca del soft-
cursor. Con  tasti LF/UP e RG/DN si
visualizza la lista dei tre attributi
definibili.

Sulla parte destra del display viene
indicato l'attributo testo selezionato
per il Soft-Cursor, racchiuso tra due
caratteri pieni per facilitarne la
lettura.

Anche il secondo carattere di control-
lo riporta questo attributo, con la
differenza che la sua rappresentazione
non verr modificata dalla funzione.
In tal modo, questo carattere ricorda
all'utente la configurazione dell'at-
tributo prima di eventuali modifiche.

Sulla parte sinistra del display sono
presenti 4 campi, indicati come EN
(abilitato/disabilitato), MS (maschera
                             Pagina 97

dell'attributo), PS (posizione di ag-
gancio) e HC (attivazione Hard-
Cursor).

Il parametro EN indica se l'attributo
corrispondente  abilitato o meno per
la ricerca del soft cursor. Pi attri-
buti possono essere abilitati contem-
poraneamente.

Il parametro MS permette di indicare
se l'attributo specificato deve essere
considerato nella sua totalit, oppure
solo nel suo background (il colore
dello sfondo) o solo nel suo fore-
ground (il colore dei caratteri).

In tal modo  possibile specificare
anche attributi del tipo "caratteri di
colore qualsiasi su sfondo rosso" op-
pure "caratteri verdi su sfondo qual-
siasi".

Il parametro PS  utile nel caso il
Soft-Cursor sia "esteso" a pi carat-
teri adiacenti e permette di indicare
Pagina 98

se deve essere considerato il primo o
l'ultimo di questi caratteri.

Il parametro HC specifica se anche gli
spostamenti del cursore hardware devo-
no essere considerati oppure com-
pletamente ignorati. Questa opzione 
utile con quei programmi che utilizza-
no tutti e due i tipi di cursore.

All'interno della funzione SL-F4 sono
attivi i seguenti tasti:
F1-F4 e F6-F9 = attiva/disattiva il
punto Braille corrispondente, come po-
sizione, sull'attributo.
F5 = attiva tutti gli 8 punti dell'at-
tributo.
F0 = disattiva tutti gli 8 punti del-
l'attributo.
S-F1 = modifica il parametro MS con le
seguenti opzioni:
BG = considera solo il background
(colore dello sfondo) dell'attributo.
FG = considera solo il foreground
(colore del testo) dell'attributo.
AT = considera tutto l'attributo.
                             Pagina 99

S-F2 = modifica il parametro PS con le
seguenti opzioni:
IN = soft-cursor sulla posizione ini-
ziale dell'area individuata (primo ca-
rattere).
FN = soft-cursor sulla posizione fina-
le dell'area individuata (ultimo ca-
rattere).
S-F3 = modifica il parametro HC con le
seguenti opzioni:
S = si, considera anche gli eventuali
spostamenti dell'hard-cursor.
N = no, ignora completamente gli spo-
stamenti dell'hard-cursor.


S-F5 = indica i colori corrispondenti
al codice attributo selezionato. Il
primo colore  relativo al testo
(foreground), il secondo al suo sfondo
(background). Il segno "+" dopo un co-
lore indica che questo  ad alta in-
tensit. Se il carattere  lampeggian-
te, viene aggiunta l'indicazione
"LAM". Battere un tasto qualsiasi per
cancellare l'indicazione del colore.
Pagina 100

S-F4 = permette di specificare la pri-
ma e ultima riga della schermo all'in-
terno delle quali effettuare la ricer-
ca. Utilizzare i tasti UP e DN per de-
crementare e incrementare la riga ini-
ziale. Utilizzare i tasti LF e DN per
decrementare e incrementare la riga
finale. Il limitare la zona di ricer-
ca, pu evitare agganci a zone non de-
siderate. Per uscire battere ancora S-
F4.
S-F6 = abilita/disabilita l'attributo
per la ricerca del soft-cursor.
S = attributo abilitato
N = attributo disabilitato
LF/UP = visualizza la configurazione
del soft-cursor precedente.
RG/DN = visualizza la configurazione
del soft-cursor successivo.
L-F0 = esci dalla funzione.
Per la codifica degli attributi testo
si faccia riferimento al paragrafo
6.8.

Per selezionare il tipo di cursore si
utilizza la funzione:
                            Pagina 101

L-F4 = seleziona l'Hard-Cursor oppure
il Soft-Cursor. I caratteri di con-
trollo riportano rispettivamente HC e
SC.

Le altre funzioni relative alla ge-
stione del cursore (vedi par. 6.4) re-
stano valide anche con il Soft-Cursor.

Quando  attivo l'aggancio automatico
e sullo schermo non appare l'attributo
testo relativo al cursore software,
MB408L si aggancia al cursore hardwa-
re. Per facilitare la selezione del
soft-cursor,  possibile procedere an-
che nei seguenti modi :

In modalit visualizzazione attributi
basta premere il touch corrispondente
all'attributo desiderato per selezio-
narlo come soft-cursor ed attivarlo;
rimangono comunque valide tutte le ca-
ratteristiche selezionate con la pro-
cedura di editing del soft-cursor.
Un'altra possibilit per selezionare
il soft-cursor in modalit di visua-
Pagina 102

lizzazione normale  premere il tasto
SHIFT pi un tasto touch; in questo
modo viene selezionato l'attributo
corrispondente al carattere presente
nella cella Braille selezionata. Uti-
lizzando queste due procedure di impo-
stazione e attivazione del soft-
cursor, viene modificato il primo at-
tributo dei tre disponibili e disatti-
vati il secondo ed il terzo.

6.11 Le funzioni non definite

Attualmente non  definita la funzione
S-F0.

Alla pressione di questa combinazione,
MB408L produce una segnalazione di er-
rore.

6.12 La memorizzazione dei parametri

Non  necessaria alcuna operazione
particolare per memorizzare lo stato
delle funzioni che abbiamo visto in
questo capitolo; in pratica i parame-
                            Pagina 103

tri vengono memorizzati non appena im-
postati e il loro valore viene mante-
nuto anche quando MB408L viene spento.
Solo pochissime funzioni fanno ecce-
zione a questa regola e in particolare
abbiamo:

- Scorrimento di un carattere, vedi
funzioni F3, F8, SL-F3 al paragrafo
6.2. All'accensione del terminale lo
scorrimento viene sempre annullato.

- Selezione cursore hardware/software,
vedi funzione L-F4 al paragrafo 6.10.
All'accensione  sempre selezionato il
cursore hardware.

6.13 Utilizzo del pulsante sui carat-
teri Braille

I pulsanti posti sopra ad ogni carat-
tere Braille vengono utilizzati per
tentare di portare il cursore nel-
l'esatta posizione indicata. Questa
funzione risulta particolarmente utile
per esempio nella revisione di un te-
Pagina 104

sto, quando si riscontra un errore di
battitura. Premendo il tasto corri-
spondente al carattere desiderato si
porter il cursore esattamente sul ca-
rattere e quindi si potr effettuare
la correzione.

Lo spostamento del cursore avviene in
due diversi modi. Se si  selezionato
con la funzione S-F7 il "cursor rou-
ting", viene simulata la pressione di
tanti tasti freccia quanti ne sono ne-
cessari a raggiungere la posizione in-
dicata. Il successo del posizionamento
del cursore con questa procedura non 
comunque garantito al 100% in quanto
dipende molto dal tipo di applicativo
usato; comunque questa funzione si
comporta correttamente con molti text
editor o word processor.

Se invece si  selezionata la
"simulazione mouse" viene simulata la
pressione del tasto di sinistra del
mouse nella posizione indicata. Questo
metodo dovrebbe essere pi sicuro e
                            Pagina 105

veloce del precedente. Di seguito ri-
portiamo alcune note sull'utilizzo del
mouse.

Che cos' il MOUSE

Il mouse  uno strumento di semplice
uso che viene collegato al PC per ese-
guire molte operazioni in modo rapido
ed efficace. Si tratta di un apparec-
chietto dotato di due o tre pulsanti
che viene impugnato e fatto scorrere
sul tavolo, di solito a lato della ta-
stiera del PC. A questo scorrimento
corrisponde sullo schermo lo sposta-
mento di un apposito cursore, detto
cursore del mouse, di solito indivi-
duato da un rettangolino colorato o da
una piccola freccia.

Lo spostamento del cursore del mouse
sullo schermo permette di selezionare
le opzioni desiderate o di svolgere
operazioni all'interno di un programma
di elaborazione testi, di un database,
di un foglio elettronico, ecc...
Pagina 106

Il mouse va guidato manualmente attra-
verso lo schermo fino al punto desi-
derato, premendo quindi uno dei pul-
santi (click) per eseguire la funzione
voluta. Questa operazione  stata fino
ad oggi assolutamente impossibile per
un non vedente che quindi si  dovuto
privare della funzionalit di uno
strumento tanto efficace e sempre pi
utilizzato per la gestione di pro-
grammi d'ogni tipo.

Con le funzioni "mouse" ottenute tra-
mite i pulsanti montati sui caratteri
Braille, un'altra forte limitazione 
stata finalmente vinta. Si aprono nuo-
ve prospettive d'impiego di strumenti
informatici per le persone colpite da
minorazione visiva che potranno trarre
vantaggio, al pari di tutti gli altri,
dall'uso di un metodo alternativo di
esecuzione delle funzioni. Il rivolu-
zionario sistema offre la massima sem-
plicit operativa e consente la simu-
lazione del mouse, spostando la riga
Braille sull'area di schermo desidera-
                            Pagina 107

ta e premendo quindi il pulsante del
carattere Braille sul quale si vuole
produrre il click.

L'uso del MOUSE nei programmi

E' necessario illustrare ora come in
generale viene utilizzato il mouse al-
l'interno dei programmi applicativi,
per comprendere poi meglio le varie
modalit di funzionamento messe a di-
sposizione dalla funzione di si-
mulazione mouse. Negli esempi che se-
guiranno verr sempre considerato un
mouse con due pulsanti, conforme allo
standard Microsoft; sebbene esistano
mouse con tre pulsanti, sono molto po-
chi i programmi che utilizzano il ter-
zo pulsante e comunque di solito que-
sto gestisce funzioni poco frequenti.

Dei due pulsanti, il sinistro e il de-
stro, quello di gran lunga pi impor-
tante  il sinistro; tutti i programmi
che prevedono l'uso del mouse utiliz-
zano sicuramente il pulsante di sini-
Pagina 108

stra per le funzioni principali. Al
pulsante di destra vengono di solito
associate funzioni secondarie e certi
programmi non lo utilizzano nemmeno.

L'atto di premere un pulsante del mou-
se viene di solito chiamato "click". A
volte, con il pulsante sinistro,  an-
che permessa l'operazione di "doppio
click", cio la pressione del pulsante
due volte in rapida successione. Al
doppio click, quando previsto,  ov-
viamente associata una funzione diver-
sa dal click semplice. Il doppio click
con il pulsante di destra non  prati-
camente mai utilizzato.

Vediamo un esempio con riferimento ad
un programma abbastanza comune: il
"Norton Commander". Con il click sem-
plice all'interno di un pannello si
sposta la barra di selezione sul file
indicato. Con il doppio click il file
viene anche eseguito se ovviamente 
di tipo eseguibile, cio se ha esten-
sione .com, .exe oppure .bat. In que-
                            Pagina 109

sto caso, quindi, il doppio click cor-
risponde all'operazione di scrivere il
nome del programma da eseguire e bat-
tere il tasto ENTER. Il click del pul-
sante destro viene utilizzato per mar-
care un file da utilizzare in un co-
mando successivo (copia, cancellazio-
ne, spostamento, ecc..).

Vediamo un'ultima operazione molto co-
mune con il mouse, soprattutto nei
programmi di editing ed elaborazione
testi: il "drag". Per "drag" si in-
tende questa sequenza di operazioni:

- Portare il cursore del mouse in una
prima posizione dello schermo e preme-
re il pulsante sinistro.

- Spostare il cursore muovendo il mou-
se e tenendo premuto il pulsante sini-
stro.

- Rilasciare il pulsante una volta che
il cursore ha raggiunto una seconda
posizione desiderata sullo schermo.
Pagina 110

Lo scopo del drag  di selezionare in
modo rapido una porzione arbitraria di
testo presente sullo schermo. Questa
porzione viene di solito messa in evi-
denza cambiandone il colore rispetto
al testo non selezionato. Su di essa
sar poi possibile effettuare varie
operazioni, come per esempio la can-
cellazione oppure la copia o sposta-
mento in un'altra posizione del do-
cumento.

La funzione di simulazione del mouse
su MB408L permette di simulare queste
operazioni:

- Click semplice con il pulsante sini-
stro.
- Click semplice con il pulsante de-
stro.
- Doppio click con il pulsante sini-
stro.
- Drag con due metodi diversi.

I dettagli operativi verranno spiegati
qui di seguito.
                            Pagina 111

I comandi per la simulazione mouse con
MB408

La funzione SHIFT-F7 della riga Brail-
le permette di selezionare tra cursor
rounting e simulazione mouse; sui ca-
ratteri di controllo appaiono rispet-
tivamente le lettere CR oppure MS.

I pulsanti sopra ciascun carattere
Braille vengono spesso indicati come
"pulsanti touch" o, semplicemente,
"touch".

Verranno utilizzati non solo i 40 pul-
santi sopra i caratteri di lettura, ma
anche i due pulsanti sopra i caratteri
di controllo; per comodit chiamiamo
questi due "pulsanti touch di control-
lo".

La pressione di un touch  accompagna-
ta da un beep, da un doppio beep nel
caso dei touch di controllo.
Pagina 112

La pressione di uno dei 40 touch simu-
la un click con il pulsante sinistro
del mouse alla posizione indicata dal
carattere Braille corrispondente al
touch premuto. Si noti che esiste una
corrispondenza diretta tra touch e
pulsante sinistro del mouse, cio la
pressione del touch corrisponde alla
pressione del pulsante del mouse, il
rilascio del touch corrisponde al ri-
lascio del pulsante del mouse.

La simulazione del doppio click del
pulsante sinistro si ottiene sempli-
cemente con una doppia pressione di un
touch. Quanto devono essere ravvi-
cinate le due pressioni affinch il
comando venga interpretato come doppio
click non  definito in modo standard
e pu variare in funzione del program-
ma utilizzato.

La simulazione del click del pulsante
destro si ottiene come segue:
                            Pagina 113

- Premere il secondo touch di control-
lo, sui caratteri di controllo appare
la scritta RG.

- Premere uno dei 40 touch nella posi-
zione desiderata.

Si noti che una successiva pressione
di un touch corrisponde di nuovo al
click con il pulsante sinistro. Inol-
tre, se dopo aver premuto il touch di
controllo si desidera annullare l'ope-
razione in corso,  sufficiente pre-
mere di nuovo lo stesso touch di con-
trollo; in tal caso la scritta RG ver-
r cancellata dai caratteri di con-
trollo. Non  previsto il doppio click
con il pulsante destro.

Per la simulazione del drag sono pre-
viste due modalit, denominate "drag
corto" e "drag lungo".

Per drag corto si intende un drag da
eseguire all'interno dei 40 caratteri
Pagina 114

della riga Braille e viene attivato
come segue:

- Premere un touch per fissare il pun-
to iniziale del drag. Tenere premuto
il pulsante.

- Premere un secondo pulsante, sempre
tenendo premuto il primo.

Rilasciare il secondo pulsante, ma non
ancora il primo.

Ci corrisponde allo spostamento del
cursore del mouse sulla posizione in-
dicata dal secondo touch, spostamento
effettuato tenendo il pulsante sini-
stro del mouse premuto, come appunto
richiede l'operazione di drag.

L'area individuata dal drag  ovvia-
mente quella compresa tra il primo e
il secondo touch.
                            Pagina 115

- Se desiderato, modificare l'area di
drag premendo altri touch, senza per
mai rilasciare il primo touch premuto.

- Quando l'area di drag  quella volu-
ta, rilasciare il primo touch; ci
termina l'operazione di drag e corri-
sponde al rilascio del pulsante sini-
stro del mouse.

Per drag lungo si intende un drag il
cui punto iniziale e punto finale sono
cos distanti da richiedere lo sposta-
mento della riga Braille. Viene atti-
vato come segue:

- Premere il primo touch di controllo,
sui caratteri di controllo appare la
scritta DR. Se si desidera annullare
l'operazione in corso,  sufficiente
premere di nuovo lo stesso touch di
controllo; in tal caso la scritta DR
verr cancellata dai caratteri di con-
trollo.
Pagina 116

- Premere uno dei 40 touch per defini-
re l'inizio dell'area di drag. Si noti
che questo touch deve essere anche ri-
lasciato, non tenuto premuto come nel
caso del drag corto.

- Spostare la riga Braille dove si de-
sidera, e premere il touch sul punto
finale dell'area di drag. Con questo
termina l'operazione di drag.

Non  previsto il drag con il pulsante
destro.

Differenze con il Cursor Routing

Da un punto di vista concettuale, la
differenza tra cursor routing e si-
mulazione del mouse sta in una fase di
interpretazione (da parte del pro-
gramma applicativo) che si interpone
tra l'azione dell'utente (cio la
pressione di un pulsante di touch) e
la reazione del programma applicativo
stesso.
                            Pagina 117

Con il cursor routing, quando premiamo
un pulsante di touch, chiediamo alla
riga Braille di spostare il cursore
dello schermo dalla posizione attuale
a quella che abbiamo appena indicato
con il pulsante di touch. Per effet-
tuare questa operazione, la riga spo-
sta un passo alla volta il  cursore
simulando la pressione dei 4 tasti
freccia della tastiera del PC.

Quasi sempre, nei programmi applicati-
vi, non tutto lo schermo pu essere
raggiunto dal cursore. Per fare un
esempio concreto, immaginiamo un co-
mune programma di editing in cui lo
schermo  diviso in 3 parti.

La prima riga in alto sullo schermo 
la riga del men che contiene una se-
rie di voci. Quando, con un opportuno
comando, si attiva la riga del men,
per ogni voce selezionata si apre una
corrispondente finestra contenente
tutte le funzioni associate alla voce
Pagina 118

del men; questo  il classico tipo di
men detto "a tendina".

L'ultima riga in basso sullo schermo 
la riga di stato che riporta una serie
di informazioni come per esempio il
nome del file di testo su cui si sta
lavorando, la riga e la colonna su cui
 il cursore, ecc..

L'area compresa tra riga del men e
riga di stato  la finestra di editing
e contiene il testo su cui stiamo la-
vorando che potr anche scorrere in
alto e in basso, dall'inizio del file
fino alla fine. Il cursore pu spo-
starsi solo all'interno di quest'area.

Tornando ora al cursor routing, finch
chiediamo di spostare il cursore al-
l'interno dell'area di editing la riga
Braille riuscir a compiere cor-
rettamente l'operazione. Il problema
nasce quando, per esempio, chiediamo
di spostare il cursore sulla riga del
men.
                            Pagina 119

La riga Braille non pu determinare
che, il quel dato contesto, quella ri-
ga dello schermo non  raggiungibile
dal cursore; quindi tenter lo stesso,
ottenendo probabilmente come risultato
uno scorrimento indesiderato del testo
verso il basso.

Infatti, quando il cursore  sulla
prima linea della finestra di editing,
subito sotto alla riga del men, la
riga Braille tenter di spostarlo in
alto simulando la pressione del tasto
"freccia in alto". Ma cos facendo non
otterr lo spostamento del cursore ma
piuttosto uno scorrimento verso il
basso di una riga di tutto il testo.
Non si avr nessuno scorrimento solo
se il cursore era gi posizionato sul-
la prima linea di testo del file.

Le cose peggiorano ulteriormente se
utilizziamo un'altra caratteristica
presente in molti editor: la possibi-
lit di lavorare contemporaneamente su
due file di testo. Tornando al nostro
Pagina 120

programma editor di esempio, quando
apriamo un secondo file di testo avre-
mo che la finestra di editing si divi-
de in due parti per via dell'inseri-
mento di una seconda linea di stato,
quella relativa al nuovo file appena
aperto. Quindi, procedendo dall'alto
verso il basso sullo schermo, avremo
ora queste aree:

- Riga del men
- Finestra di editing del primo file
- Riga di stato del primo file
- Finestra di editing del secondo file
- Riga di stato del secondo file

Il cursore potr essere posizionato
solo all'interno delle due finestre di
editing; per passare da una finestra
all'altra sar previsto un opportuno
comando da tastiera.

Se ora, con il cursor routing, cer-
chiamo di portare il cursore sulla se-
conda finestra di editing quando que-
sto  posizionato sulla prima, otter-
                            Pagina 121

remo in realt che il cursore rimane
sulla prima finestra ed inoltre avremo
come effetto indesiderato uno scorri-
mento in alto di diverse righe del te-
sto della prima finestra. Ci  evi-
dentemente dovuto al fatto che la riga
Braille non pu sapere che, in quel
contesto,  necessario battere un cer-
to comando da tastiera per passare al-
la seconda finestra di editing.

Vediamo adesso il comportamento nelle
stesse situazioni della funzione di
simulazione del mouse; come gi accen-
nato, la differenza essenziale  che
in questo caso il programma editor
cerca di interpretare il comando dato
dall'utente in base alla posizione in
cui viene effettuato il click del mou-
se.

Partiamo spostando il cursore all'in-
terno della prima finestra di editing
simulando dei click con il pulsante
sinistro. L'unica differenza che si
potr notare in questo caso rispetto
Pagina 122

al cursor routing  che ora la ri-
sposta alla richiesta di spostamento
del cursore  pi veloce. Ci  dovuto
al fatto che il cursor routing per
spostare il cursore da un punto al-
l'altro dello schermo deve farlo pas-
sare per tutta una serie di posizioni
intermedie; con il mouse, invece, il
passaggio  immediato, dal punto ini-
ziale direttamente a quello finale.

Ma vediamo ora cosa succede se ese-
guiamo un click su una voce della riga
del men; il programma editor capisce
che vogliamo aprire la finestra con le
funzioni associate alla voce indicata,
e infatti reagisce al nostro click
esattamente in questo modo. Non solo,
ma ora per eseguire una delle funzioni
che ci vengono presentate nella fine-
stra del men, sar sufficiente indi-
carla con un altro click.

Se proviamo a eseguire un click su una
delle righe di stato, l'editor sa che
su quella riga non c' nulla di sele-
                            Pagina 123

zionabile e quindi, giustamente, non
reagisce in alcun modo.

Per finire, proviamo lo spostamento
del cursore sulla seconda finestra di
editing, partendo dalla prima. Anche
in questo caso l'editor capisce cor-
rettamente il comando dell'utente e
provvede a spostare il cursore nel
punto giusto sulla seconda finestra di
editing, senza che sia necessario bat-
tere da tastiera il comando per cam-
biare finestra di editing.

Gli esempi descritti sono relativi a
un tipo di comportamento molto comune
per i programmi di editing, che comun-
que non si pu ritenere vero nella to-
talit dei casi; certi programmi ap-
plicativi hanno alcune particolarit
nell'uso del mouse e queste andranno
analizzate caso per caso. Sar sempre
opportuno consultare i manuali dei
programmi applicativi per conoscere in
modo dettagliato l'uso del mouse pre-
visto nel programma.
Pagina 124

Comunque, in generale, i principali
vantaggi della simulazione del mouse
rispetto al cursor routing si possono
riassumere come segue:

- Maggiore velocit nel posizionamento
del cursore.

- Possibilit di attivare men di se-
lezione in modo corretto e senza ef-
fetti collaterali indesiderati.

- Annullamento automatico delle ri-
chieste di posizionamento cursore in
punti non raggiungibili.

- Possibilit di altre funzioni trami-
te l'utilizzo del doppio click o del
drag, come per esempio la selezione di
blocchi di testo all'interno dei pro-
grammi di elaborazione testi.

6.14 Simulazione Pagina Su, Pagina Gi

Durante la lettura di un testo potreb-
be essere comodo simulare la pressione
                            Pagina 125

del tasto "Pagina Gi" oppure "Pagina
Su" sulla tastiera del PC per poter
continuare la lettura senza dover in-
teragire con la tastiera stessa. Sono
state inserite due funzioni che per-
mettono esattamente questa operazione,
che si attivano nel seguente modo:

S-LF = simula il tasto "Pagina Su"
della tastiera del PC.
S-RG = simula il tasto "Pagina Gi"
della tastiera del PC.

